"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Secondary = exports.Primary = exports.ButtonIconStart = exports.ButtonIconEnd = exports.ButtonCustom = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _ai = require("react-icons/ai");

var _Button = _interopRequireDefault(require("./Button"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var useStyle = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    btnCustom: {
      padding: 10,
      paddingRight: 80,
      borderRadius: 5,
      backgroundColor: palette.background.default,
      '&:hover': {
        backgroundColor: palette.secondary.main,
        boxShadow: '0px 3px 5px rgba(177, 192, 201, 0.501639);'
      }
    },
    btnCustomImg: {
      marginLeft: 10,
      marginRight: 20
    }
  };
});
var _default = {
  title: 'Tauros-web-ui/Atoms/Button',
  component: _Button.default,
  args: {
    color: 'primary',
    shadow: true,
    optionShadow: '',
    withIcon: false,
    square: false,
    underline: false,
    component: 'button'
  },
  argTypes: {
    color: {
      options: ['primary', 'secondary'],
      control: {
        type: 'radio'
      }
    },
    size: {
      options: ['large', 'medium', 'small'],
      control: {
        type: 'select'
      }
    }
  }
};
exports.default = _default;

var ButtonComponent = function ButtonComponent(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, _objectSpread({}, args));
};

var ButtonIconComponentStart = function ButtonIconComponentStart(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, _objectSpread({
    startIcon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ai.AiOutlineArrowUp, {})
  }, args));
};

var ButtonIconComponentEnd = function ButtonIconComponentEnd(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, _objectSpread({
    endIcon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ai.AiOutlineReload, {})
  }, args));
};

var ButtonCustomComponent = function ButtonCustomComponent(args) {
  var styles = useStyle();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Button.default, _objectSpread(_objectSpread({}, args), {}, {
    className: styles.btnCustom,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
      src: "./images/tarjeta.png",
      alt: "tarjeta",
      className: styles.btnCustomImg
    }), "Button with image"]
  }));
};

var Primary = ButtonComponent.bind({});
exports.Primary = Primary;
Primary.args = {
  label: 'Primary',
  disabled: false
};
var Secondary = ButtonComponent.bind({});
exports.Secondary = Secondary;
Secondary.args = {
  color: 'secondary',
  label: 'Secondary'
};
var ButtonIconStart = ButtonIconComponentStart.bind({});
exports.ButtonIconStart = ButtonIconStart;
ButtonIconStart.args = {
  label: 'Button with icon start'
};
var ButtonIconEnd = ButtonIconComponentEnd.bind({});
exports.ButtonIconEnd = ButtonIconEnd;
ButtonIconEnd.args = {
  label: 'Button with icon end'
};
var ButtonCustom = ButtonCustomComponent.bind({});
exports.ButtonCustom = ButtonCustom;
ButtonCustom.args = {
  color: 'default',
  shadow: true
};