"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _reactCalendar = _interopRequireDefault(require("react-calendar"));

var _dayjs = _interopRequireDefault(require("dayjs"));

var _taurosWebUtils = require("tauros-web-utils");

var _bs = require("react-icons/bs");

var _IconButton = _interopRequireDefault(require("../IconButton"));

var _Menu = _interopRequireDefault(require("../Menu"));

var _Input = _interopRequireDefault(require("../Input"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["value", "error", "endAdornment", "onChange", "onKeyDown", "onError", "menuProps", "calendarProps"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var DatePickerComponent = function DatePickerComponent(props) {
  var value = props.value,
      error = props.error,
      endAdornment = props.endAdornment,
      onChange = props.onChange,
      onKeyDown = props.onKeyDown,
      onError = props.onError,
      menuProps = props.menuProps,
      calendarProps = props.calendarProps,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var classes = (0, _styles.default)();

  var _useState = (0, _react.useState)(new Date()),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      calendarValue = _useState2[0],
      setCalendarValue = _useState2[1];

  var _useState3 = (0, _react.useState)(null),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      anchorEl = _useState4[0],
      setAnchorEl = _useState4[1];

  var handleClickShowCalendar = function handleClickShowCalendar(event) {
    setAnchorEl(event.currentTarget);
  };

  var handleCloseAnchorEl = function handleCloseAnchorEl() {
    setAnchorEl(null);
  };

  var handleKeyDown = function handleKeyDown(event) {
    var _calendarProps$minDat, _calendarProps$maxDat;

    if (onKeyDown) onKeyDown(event);

    var _dateInputMask = (0, _taurosWebUtils.dateInputMask)({
      event: event,
      value: value,
      minYear: calendarProps === null || calendarProps === void 0 ? void 0 : (_calendarProps$minDat = calendarProps.minDate) === null || _calendarProps$minDat === void 0 ? void 0 : _calendarProps$minDat.getFullYear(),
      maxYear: calendarProps === null || calendarProps === void 0 ? void 0 : (_calendarProps$maxDat = calendarProps.maxDate) === null || _calendarProps$maxDat === void 0 ? void 0 : _calendarProps$maxDat.getFullYear()
    }),
        result = _dateInputMask.result,
        isValidDate = _dateInputMask.isValidDate,
        msg = _dateInputMask.msg,
        code = _dateInputMask.code;

    if (onChange) onChange({
      target: {
        value: result
      }
    });
    if (onError) onError(!isValidDate ? {
      msg: msg,
      code: code
    } : {});
  };

  var handleChange = function handleChange(e) {
    if (onChange) onChange(e);
  };

  var handleClickCalendar = function handleClickCalendar(value) {
    var result = (0, _dayjs.default)(value).format('DD / MM / YYYY');
    setCalendarValue(value);
    if (onChange) onChange({
      target: {
        value: result
      }
    });
    handleCloseAnchorEl();
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, _objectSpread({
      value: value,
      onChange: handleChange,
      onKeyDown: handleKeyDown,
      error: error,
      endAdornment: endAdornment || /*#__PURE__*/(0, _jsxRuntime.jsx)(_IconButton.default, {
        "aria-controls": "simple-menu",
        className: classes.iconCalendar,
        size: "small",
        onClick: handleClickShowCalendar,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_bs.BsCalendar, {})
      })
    }, rest)), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Menu.default, _objectSpread(_objectSpread({
      id: "simple-menu",
      anchorEl: anchorEl,
      open: Boolean(anchorEl),
      getContentAnchorEl: null,
      onClose: handleCloseAnchorEl,
      anchorOrigin: {
        vertical: 'top',
        horizontal: 'center'
      },
      transformOrigin: {
        vertical: 'bottom',
        horizontal: 'right'
      }
    }, menuProps), {}, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactCalendar.default, _objectSpread({
        onChange: handleClickCalendar,
        value: calendarValue,
        className: classes.calendar
      }, calendarProps))
    }))]
  });
};

DatePickerComponent.defaultProps = {
  variant: 'standard',
  error: false
};
var _default = DatePickerComponent;
exports.default = _default;