"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _clsx4 = _interopRequireDefault(require("clsx"));

var _lodash = require("lodash");

var _fi = require("react-icons/fi");

var _md = require("react-icons/md");

var _Molecules = require("../../Molecules");

var _Input = _interopRequireDefault(require("../Input"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["options", "value", "classes", "variant", "label", "onChange", "onInput", "onKeyDown", "startAdornment", "withAutocomplete", "validation", "error", "endAdornment"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var DropdownComponent = function DropdownComponent(props) {
  var _clsx, _clsx2, _clsx3;

  var options = props.options,
      value = props.value,
      classesProps = props.classes,
      variant = props.variant,
      label = props.label,
      onChange = props.onChange,
      onInput = props.onInput,
      onKeyDown = props.onKeyDown,
      startAdornment = props.startAdornment,
      _props$withAutocomple = props.withAutocomplete,
      withAutocomplete = _props$withAutocomple === void 0 ? false : _props$withAutocomple,
      validation = props.validation,
      error = props.error,
      endAdornment = props.endAdornment,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var classes = (0, _styles.default)({
    withAutocomplete: withAutocomplete
  });

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  var _useState3 = (0, _react.useState)(options),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      filteredOptions = _useState4[0],
      setFilteredOptions = _useState4[1];

  var inputRef = (0, _react.useRef)(null);
  var secondary = !(0, _lodash.isEqual)(variant, 'standard');
  var IconSelect = secondary ? _md.MdArrowDropDown : _fi.FiChevronDown;

  var handleSelect = function handleSelect(e) {
    if (onChange) onChange(e);
    setOpen(false);
  };

  var handleKeyDown = function handleKeyDown(e) {
    if (onKeyDown) onKeyDown(e);
    if (!open) return;
    var currentFocus = -1;
    /* Search menu list */

    var menuListElement = document.getElementById('menu-list');
    /* Get all options */

    var listElement;
    if (menuListElement) listElement = menuListElement.getElementsByTagName('li');

    if ((0, _lodash.isEqual)(e.key, 'ArrowDown')) {
      var _listElement$currentF;

      /* If the arrow DOWN key is pressed,
        increase the currentFocus variable: */
      if (currentFocus >= filteredOptions.length) {
        currentFocus = 0;
      } else {
        currentFocus++;
      }

      (_listElement$currentF = listElement[currentFocus]) === null || _listElement$currentF === void 0 ? void 0 : _listElement$currentF.focus();
    } else if ((0, _lodash.isEqual)(e.key, 'ArrowUp')) {
      var _listElement$currentF2;

      /* If the arrow UP key is pressed,
        decrease the currentFocus variable: */
      if (currentFocus < 0) {
        currentFocus = filteredOptions.length - 1;
      } else {
        currentFocus--;
      }

      (_listElement$currentF2 = listElement[currentFocus]) === null || _listElement$currentF2 === void 0 ? void 0 : _listElement$currentF2.focus();
    } else if ((0, _lodash.isEqual)(e.key, 'Enter')) {
      /* If the ENTER key is pressed, prevent the form from being submitted, */
      e.preventDefault();
      /* and simulate a click on the "active" item */

      if (currentFocus > -1) {
        var _listElement$currentF3;

        /* Click in option selected */
        if (listElement) return (_listElement$currentF3 = listElement[currentFocus]) === null || _listElement$currentF3 === void 0 ? void 0 : _listElement$currentF3.click();
      }
    }
  };

  (0, _react.useEffect)(function () {
    if (value && withAutocomplete) {
      var newOptions = [];

      for (var i = 0; i < options.length; i++) {
        var _opt$label;

        var opt = options[i];
        if ((_opt$label = opt.label) !== null && _opt$label !== void 0 && _opt$label.toLowerCase().startsWith(value.toLowerCase())) newOptions.push(opt);
      }

      setFilteredOptions([].concat(newOptions));
    } else {
      setFilteredOptions(options);
    }
  }, [value, options, withAutocomplete]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, _objectSpread({
      label: !secondary ? label : null,
      value: value,
      variant: variant,
      classes: _objectSpread(_objectSpread({}, classesProps), {}, {
        root: (0, _clsx4.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.select, true), (0, _defineProperty2.default)(_clsx, classes.selectError, (0, _lodash.isEqual)(validation, false) || error), (0, _defineProperty2.default)(_clsx, classes.selectOutlined, secondary), (0, _defineProperty2.default)(_clsx, classes.selectOutlinedError, secondary && ((0, _lodash.isEqual)(validation, false) || error)), (0, _defineProperty2.default)(_clsx, (classesProps === null || classesProps === void 0 ? void 0 : classesProps.root) || '', Boolean(classesProps === null || classesProps === void 0 ? void 0 : classesProps.root)), _clsx))
      }),
      inputProps: {
        readOnly: !withAutocomplete,
        onClick: function onClick() {
          return setOpen(withAutocomplete ? true : !open);
        }
      },
      innerRef: inputRef,
      onChange: onChange,
      onKeyDown: handleKeyDown,
      error: error,
      validation: validation,
      endAdornment: endAdornment || /*#__PURE__*/(0, _jsxRuntime.jsx)(IconSelect, {
        className: (0, _clsx4.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.icon, !secondary), (0, _defineProperty2.default)(_clsx2, classes.iconError, (0, _lodash.isEqual)(validation, false) || error), (0, _defineProperty2.default)(_clsx2, classes.iconOpen, open), (0, _defineProperty2.default)(_clsx2, classes.iconOpenOutlined, secondary), _clsx2)),
        onClick: function onClick() {
          return setOpen(!open);
        }
      })
    }, rest)), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Molecules.MenuDropdown, {
      withAutocomplete: withAutocomplete,
      options: filteredOptions,
      value: value,
      onChange: handleSelect,
      inputRef: inputRef,
      open: open,
      secondary: secondary
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: (0, _clsx4.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes.divCloseHidden, !open), (0, _defineProperty2.default)(_clsx3, classes.divCloseShow, open), _clsx3)),
      onClick: function onClick() {
        return setOpen(false);
      }
    })]
  });
};

DropdownComponent.defaultProps = {
  variant: 'standard',
  helperText: null,
  error: false,
  options: []
};
var _default = DropdownComponent;
exports.default = _default;