import { MenuClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/core/styles/withStyles';
import { IInput, IClasses as IClassesInput } from '../Input/interfaces';
export interface IOption {
    value: string;
    label: string;
}
interface IClasses extends IClassesInput {
    classesMenu?: Partial<ClassNameMap<MenuClassKey>>;
    menuItem?: string;
    menuItemSelected?: string;
}
export interface IDropdown extends Omit<IInput, 'classes'> {
    options: IOption[];
    classes?: IClasses;
    withAutocomplete?: boolean;
}
export interface IStyles {
    withAutocomplete: boolean;
}
export {};
