"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _clsx18 = _interopRequireDefault(require("clsx"));

var _fi = require("react-icons/fi");

var _core = require("@material-ui/core");

var _Codes = _interopRequireDefault(require("../Codes"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["classes", "type", "className", "startAdornment", "endAdornment", "value", "validation", "helperText", "helperTextPosition", "error", "variant", "onChange", "select", "withLine", "withSuccess", "setError", "size", "label", "textRight", "innerRef", "focus", "InputProps"],
    _excluded2 = ["root", "input", "focused", "underline", "notchedOutline", "icon"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var Input = function Input(props) {
  var _clsx, _clsx7, _clsx8, _clsx9, _clsx10, _clsx11, _clsx12, _clsx13, _classesProps$classes, _classesProps$classes2, _clsx14, _classesProps$classes3, _classesProps$classes4, _clsx15, _classesProps$classes5, _classesProps$classes6, _clsx16, _classesProps$classes7, _classesProps$classes8, _clsx17;

  var classesProps = props.classes,
      _props$type = props.type,
      type = _props$type === void 0 ? 'text' : _props$type,
      className = props.className,
      startAdornment = props.startAdornment,
      endAdornment = props.endAdornment,
      value = props.value,
      validation = props.validation,
      helperText = props.helperText,
      helperTextPosition = props.helperTextPosition,
      error = props.error,
      variant = props.variant,
      onChange = props.onChange,
      select = props.select,
      withLine = props.withLine,
      withSuccess = props.withSuccess,
      setError = props.setError,
      size = props.size,
      label = props.label,
      textRight = props.textRight,
      innerRef = props.innerRef,
      focus = props.focus,
      InputProps = props.InputProps,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var classes = (0, _styles.default)();

  var _useState = (0, _react.useState)(true),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      icon = _useState2[0],
      setIcon = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      validationInput = _useState4[0],
      setValidationInput = _useState4[1];

  (0, _react.useEffect)(function () {
    if (value.length === 0) {
      setValidationInput(null);
    } else {
      setValidationInput(validation);
    }
  }, [validation, value]);

  var changeIcon = function changeIcon() {
    setIcon(!icon);
  };

  var validateType = type === 'password' ? icon ? 'password' : 'text' : type;
  var validateShowIconEyes = type && type === 'password' && !endAdornment;
  var secondary = variant !== 'standard';
  if (type === 'code' || type === 'nip') return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Codes.default, _objectSpread({}, props));
  var adornmentSelectClasses = (0, _clsx18.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.adornedSelect, select), (0, _defineProperty2.default)(_clsx, classes.adornedSelectOutlined, select && secondary), (0, _defineProperty2.default)(_clsx, classes.adornedSelectOutlinedError, select && secondary && error), _clsx));

  var _ref = classesProps || {},
      classesRoot = _ref.root,
      classesInput = _ref.input,
      classesFocused = _ref.focused,
      classesUnderline = _ref.underline,
      classesNotchedOutline = _ref.notchedOutline,
      classesIcon = _ref.icon,
      restClasses = (0, _objectWithoutProperties2.default)(_ref, _excluded2);

  if (variant === 'gradient') {
    var _clsx2, _clsx3, _clsx4, _clsx5, _clsx6;

    return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: (0, _clsx18.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.rootGradient, true), (0, _defineProperty2.default)(_clsx2, classesRoot || '', !!classesRoot), _clsx2)),
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: classes.contentLabel,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("label", {
          htmlFor: String(label),
          className: classes.labelGradient,
          children: label
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: textRight
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: (0, _clsx18.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes.contentInput, true), (0, _defineProperty2.default)(_clsx3, classes.contentInputError, error), _clsx3)),
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("input", _objectSpread({
          value: value,
          type: validateType,
          className: (0, _clsx18.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, classes.input, true), (0, _defineProperty2.default)(_clsx4, classes.inputFocus, focus), (0, _defineProperty2.default)(_clsx4, classes.inputIcon, type === 'password'), (0, _defineProperty2.default)(_clsx4, classesInput || '', !!classesInput), (0, _defineProperty2.default)(_clsx4, className || '', !!className), _clsx4)),
          id: String(label),
          ref: innerRef,
          autoComplete: "new-password",
          onChange: onChange
        }, rest)), type === 'password' && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: (0, _clsx18.default)((_clsx5 = {}, (0, _defineProperty2.default)(_clsx5, classes.icon, true), (0, _defineProperty2.default)(_clsx5, classesIcon || '', !!classesIcon), _clsx5)),
          children: icon ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEyeOff, {
            onClick: changeIcon,
            className: classesIcon
          }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEye, {
            onClick: changeIcon,
            className: classesIcon
          })
        })]
      }), helperText && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: (0, _clsx18.default)((_clsx6 = {}, (0, _defineProperty2.default)(_clsx6, classes.contentHelper, true), (0, _defineProperty2.default)(_clsx6, classes.contentHelperError, error), (0, _defineProperty2.default)(_clsx6, classes.contentHelperTextRight, helperTextPosition === 'right'), _clsx6)),
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: helperText
        })
      })]
    });
  }

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.TextField, _objectSpread({
    value: value,
    label: label,
    type: validateType,
    className: className,
    variant: variant,
    InputProps: _objectSpread(_objectSpread({}, InputProps), {}, {
      classes: _objectSpread(_objectSpread({}, restClasses), {}, {
        root: (0, _clsx18.default)((_clsx7 = {}, (0, _defineProperty2.default)(_clsx7, classes.inputMedium, size === 'medium'), (0, _defineProperty2.default)(_clsx7, classes.inputSmall, size === 'small'), (0, _defineProperty2.default)(_clsx7, classes.inputLarge, size === 'large'), (0, _defineProperty2.default)(_clsx7, classes.inputOutlined, secondary), (0, _defineProperty2.default)(_clsx7, adornmentSelectClasses, !!startAdornment || !!endAdornment), (0, _defineProperty2.default)(_clsx7, classesRoot || '', !!classesRoot), _clsx7)),
        input: (0, _clsx18.default)((_clsx8 = {}, (0, _defineProperty2.default)(_clsx8, classes.default, true), (0, _defineProperty2.default)(_clsx8, classes.inputOutlinedSmall, size === 'small' && secondary), (0, _defineProperty2.default)(_clsx8, classes.inputOutlinedLarge, size === 'large' && secondary), (0, _defineProperty2.default)(_clsx8, classesInput || '', !!classesInput), _clsx8)),
        focused: (0, _clsx18.default)((_clsx9 = {}, (0, _defineProperty2.default)(_clsx9, classes.focusedSecondary, secondary), (0, _defineProperty2.default)(_clsx9, classes.focusedSelect, select), (0, _defineProperty2.default)(_clsx9, classes.focusedSelectOutlined, select && secondary), (0, _defineProperty2.default)(_clsx9, classesFocused || '', !!classesFocused), _clsx9)),
        underline: !secondary ? (0, _clsx18.default)((_clsx10 = {}, (0, _defineProperty2.default)(_clsx10, classes.underlineSuccess, validationInput), (0, _defineProperty2.default)(_clsx10, classes.underlineError, validationInput === false), (0, _defineProperty2.default)(_clsx10, classesUnderline || '', !!classesUnderline), _clsx10)) : undefined,
        notchedOutline: secondary ? (0, _clsx18.default)((_clsx11 = {}, (0, _defineProperty2.default)(_clsx11, classes.notchedOutlined, true), (0, _defineProperty2.default)(_clsx11, classes.notchedSuccess, validationInput), (0, _defineProperty2.default)(_clsx11, classes.notchedError, validationInput === false), (0, _defineProperty2.default)(_clsx11, classes.notchedSelectOutlined, select && secondary), (0, _defineProperty2.default)(_clsx11, classesNotchedOutline || '', !!classesNotchedOutline), _clsx11)) : undefined
      }),
      startAdornment: startAdornment && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.InputAdornment, {
        position: "start",
        children: startAdornment
      }),
      endAdornment: validateShowIconEyes ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.InputAdornment, {
        position: "start",
        children: icon ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEyeOff, {
          onClick: changeIcon,
          className: (0, _clsx18.default)((_clsx12 = {}, (0, _defineProperty2.default)(_clsx12, classes.iconMaterial, true), (0, _defineProperty2.default)(_clsx12, classesIcon || '', !!classesIcon), _clsx12))
        }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEye, {
          onClick: changeIcon,
          className: (0, _clsx18.default)((_clsx13 = {}, (0, _defineProperty2.default)(_clsx13, classes.iconMaterial, true), (0, _defineProperty2.default)(_clsx13, classesIcon || '', !!classesIcon), _clsx13))
        })
      }) : endAdornment
    }),
    InputLabelProps: {
      classes: _objectSpread(_objectSpread({}, classesProps === null || classesProps === void 0 ? void 0 : classesProps.classesInputLabel), {}, {
        root: (0, _clsx18.default)((_clsx14 = {}, (0, _defineProperty2.default)(_clsx14, classes.label, true), (0, _defineProperty2.default)(_clsx14, classes.colorSuccess, validationInput), (0, _defineProperty2.default)(_clsx14, classes.colorError, validationInput === false), (0, _defineProperty2.default)(_clsx14, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes = classesProps.classesInputLabel) === null || _classesProps$classes === void 0 ? void 0 : _classesProps$classes.root) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes2 = classesProps.classesInputLabel) !== null && _classesProps$classes2 !== void 0 && _classesProps$classes2.root)), _clsx14)),
        shrink: (0, _clsx18.default)((_clsx15 = {}, (0, _defineProperty2.default)(_clsx15, classes.labelShrink, true), (0, _defineProperty2.default)(_clsx15, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes3 = classesProps.classesInputLabel) === null || _classesProps$classes3 === void 0 ? void 0 : _classesProps$classes3.shrink) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes4 = classesProps.classesInputLabel) !== null && _classesProps$classes4 !== void 0 && _classesProps$classes4.shrink)), _clsx15)),
        error: (0, _clsx18.default)((_clsx16 = {}, (0, _defineProperty2.default)(_clsx16, classes.colorError, true), (0, _defineProperty2.default)(_clsx16, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes5 = classesProps.classesInputLabel) === null || _classesProps$classes5 === void 0 ? void 0 : _classesProps$classes5.error) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes6 = classesProps.classesInputLabel) !== null && _classesProps$classes6 !== void 0 && _classesProps$classes6.error)), _clsx16))
      })
    },
    FormHelperTextProps: {
      classes: _objectSpread(_objectSpread({}, classesProps === null || classesProps === void 0 ? void 0 : classesProps.classesFormHelperText), {}, {
        root: (0, _clsx18.default)((_clsx17 = {}, (0, _defineProperty2.default)(_clsx17, classes.helperText, true), (0, _defineProperty2.default)(_clsx17, classes.colorSuccess, validationInput), (0, _defineProperty2.default)(_clsx17, classes.colorError, validationInput === false), (0, _defineProperty2.default)(_clsx17, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes7 = classesProps.classesFormHelperText) === null || _classesProps$classes7 === void 0 ? void 0 : _classesProps$classes7.root) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes8 = classesProps.classesFormHelperText) !== null && _classesProps$classes8 !== void 0 && _classesProps$classes8.root)), _clsx17))
      })
    },
    helperText: helperText,
    error: error,
    onChange: onChange,
    innerRef: innerRef
  }, rest));
};

Input.defaultProps = {
  className: '',
  type: '',
  variant: 'standard',
  validation: null,
  helperText: null,
  helperTextPosition: 'left',
  error: false,
  size: 'medium',
  focus: false
};
var _default = Input;
exports.default = _default;