"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StandardEnd = exports.Standard = exports.InputTextAreaActive = exports.InputSuccess = exports.InputSmall = exports.InputPassword = exports.InputOutlinedSuccess = exports.InputOutlinedSmall = exports.InputOutlinedPassword = exports.InputOutlinedLarge = exports.InputOutlinedIconStart = exports.InputOutlinedIconEnd = exports.InputOutlinedError = exports.InputOutlinedActive = exports.InputOutlined = exports.InputNIPWithError = exports.InputNIP = exports.InputLarge = exports.InputIconStart = exports.InputIconEnd = exports.InputError = exports.InputCodeWithError = exports.InputCodeTwoFactor = exports.InputCodeStandard = exports.InputActive = exports.GradientWithError = exports.GradientReadOnly = exports.Gradient = exports.CustomInput = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _fi = require("react-icons/fi");

var _core = require("@material-ui/core");

var _hooks = require("../../../hooks");

var _Input = _interopRequireDefault(require("./Input"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["value"],
    _excluded2 = ["value"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var useStyles = (0, _core.makeStyles)(function () {
  return {
    inputFocus: {
      '&::after': {
        borderBottom: '1px solid red'
      }
    }
  };
});
var _default = {
  title: 'Tauros-web-ui/Atoms/Input',
  component: _Input.default
};
exports.default = _default;

var InputComponent = function InputComponent(_ref) {
  var value = _ref.value,
      args = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(value),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, _objectSpread(_objectSpread({}, args), {}, {
    value: localValue,
    onChange: onChangeInput
  }));
};

var CustomInputComponent = function CustomInputComponent(_ref2) {
  var value = _ref2.value,
      args = (0, _objectWithoutProperties2.default)(_ref2, _excluded2);

  var _useState3 = (0, _react.useState)(value),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      localValue = _useState4[0],
      setValue = _useState4[1];

  var classes = useStyles();

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, _objectSpread(_objectSpread({}, args), {}, {
    value: localValue,
    onChange: onChangeInput,
    classes: {
      focused: classes.inputFocus
    },
    fullWidth: true
  }));
};

var InputPasswordComponent = function InputPasswordComponent(_ref3) {
  var _errorPassword$;

  var args = (0, _extends2.default)({}, _ref3);

  var _useState5 = (0, _react.useState)(''),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      password = _useState6[0],
      setPassword = _useState6[1]; // OnChange of inputs password


  var handleChangePassword = function handleChangePassword(_ref4) {
    var _ref4$target = _ref4.target,
        name = _ref4$target.name,
        value = _ref4$target.value;
    setPassword(value); // Validate if password haven't errors

    validateInputPass(value, false);
  }; // Hook for validate password


  var _useValidatePassword = (0, _hooks.useValidatePassword)({
    password: password
  }),
      validateInputPass = _useValidatePassword.validateInputPass,
      errorPassword = _useValidatePassword.errorPassword,
      validateInputError = _useValidatePassword.validateInputError;

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, _objectSpread(_objectSpread({}, args), {}, {
    value: password,
    onChange: handleChangePassword,
    error: validateInputError,
    helperText: password.length > 0 ? (_errorPassword$ = errorPassword[0]) === null || _errorPassword$ === void 0 ? void 0 : _errorPassword$.message : undefined
  }));
};
/* Standard */


var Standard = InputComponent.bind({});
exports.Standard = Standard;
Standard.args = {
  value: '',
  placeholder: 'Correo electrónico'
};
var StandardEnd = InputComponent.bind({});
exports.StandardEnd = StandardEnd;
StandardEnd.args = {
  value: '',
  placeholder: '0.001',
  endAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
    children: "BTC"
  })
};
var CustomInput = CustomInputComponent.bind({});
exports.CustomInput = CustomInput;
CustomInput.args = {
  value: '',
  placeholder: 'Correo electrónico'
};
var InputActive = InputComponent.bind({});
exports.InputActive = InputActive;
InputActive.args = {
  value: 'carlos@tauros.io',
  label: 'Correo electrónico',
  helperText: 'Text Input'
};
var InputTextAreaActive = InputComponent.bind({});
exports.InputTextAreaActive = InputTextAreaActive;
InputTextAreaActive.args = {
  value: 'carlos@tauros.io',
  label: 'Correo electrónico',
  helperText: 'Text Input',
  multiline: true
};
var InputSmall = InputComponent.bind({});
exports.InputSmall = InputSmall;
InputSmall.args = {
  value: '',
  placeholder: 'Email',
  size: 'small'
};
var InputLarge = InputComponent.bind({});
exports.InputLarge = InputLarge;
InputLarge.args = {
  value: '',
  placeholder: 'Correo electrónico',
  size: 'large'
};
var InputPassword = InputPasswordComponent.bind({});
exports.InputPassword = InputPassword;
InputPassword.args = {
  label: 'Contraseña',
  type: 'password'
};
var InputError = InputComponent.bind({});
exports.InputError = InputError;
InputError.args = {
  value: 'carlos@tauros.io',
  placeholder: 'Correo electrónico',
  validation: false,
  helperText: 'Text Input Error'
};
var InputSuccess = InputComponent.bind({});
exports.InputSuccess = InputSuccess;
InputSuccess.args = {
  value: 'carlos@tauros.io',
  label: 'Correo electrónico',
  helperText: 'Text Input Success',
  validation: true
};
var InputIconStart = InputComponent.bind({});
exports.InputIconStart = InputIconStart;
InputIconStart.args = {
  value: 'Input with icon start',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiPhone, {})
};
var InputIconEnd = InputComponent.bind({});
exports.InputIconEnd = InputIconEnd;
InputIconEnd.args = {
  value: 'Input with icon end',
  endAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiCopy, {})
};
/* Outlined */

var InputOutlined = InputComponent.bind({});
exports.InputOutlined = InputOutlined;
InputOutlined.args = {
  value: '',
  placeholder: 'Correo electrónico',
  variant: 'outlined'
};
var InputOutlinedActive = InputComponent.bind({});
exports.InputOutlinedActive = InputOutlinedActive;
InputOutlinedActive.args = {
  value: 'carlos@tauros.io',
  placeholder: 'Correo electrónico',
  variant: 'outlined'
};
var InputOutlinedSmall = InputComponent.bind({});
exports.InputOutlinedSmall = InputOutlinedSmall;
InputOutlinedSmall.args = {
  value: '',
  placeholder: 'Email',
  variant: 'outlined',
  size: 'small'
};
var InputOutlinedLarge = InputComponent.bind({});
exports.InputOutlinedLarge = InputOutlinedLarge;
InputOutlinedLarge.args = {
  value: '',
  placeholder: 'Correo electrónico',
  variant: 'outlined',
  size: 'large'
};
var InputOutlinedPassword = InputComponent.bind({});
exports.InputOutlinedPassword = InputOutlinedPassword;
InputOutlinedPassword.args = {
  value: 'EstoEsUnSecreto',
  placeholder: 'Contraseña',
  type: 'password',
  variant: 'outlined'
};
var InputOutlinedError = InputComponent.bind({});
exports.InputOutlinedError = InputOutlinedError;
InputOutlinedError.args = {
  value: 'carlos@tauros.io',
  placeholder: 'Correo electrónico',
  validation: false,
  helperText: 'Text Input Error',
  variant: 'outlined'
};
var InputOutlinedSuccess = InputComponent.bind({});
exports.InputOutlinedSuccess = InputOutlinedSuccess;
InputOutlinedSuccess.args = {
  value: 'carlos@tauros.io',
  placeholder: 'Correo electrónico',
  validation: true,
  variant: 'outlined'
};
var InputOutlinedIconStart = InputComponent.bind({});
exports.InputOutlinedIconStart = InputOutlinedIconStart;
InputOutlinedIconStart.args = {
  value: 'Input with icon start',
  variant: 'outlined',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiPhone, {})
};
var InputOutlinedIconEnd = InputComponent.bind({});
exports.InputOutlinedIconEnd = InputOutlinedIconEnd;
InputOutlinedIconEnd.args = {
  value: 'Input with icon end',
  variant: 'outlined',
  endAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiCopy, {})
};
/* Codes */

var InputCodeStandard = InputComponent.bind({});
exports.InputCodeStandard = InputCodeStandard;
InputCodeStandard.args = {
  value: '123',
  type: 'code'
};
var InputCodeWithError = InputComponent.bind({});
exports.InputCodeWithError = InputCodeWithError;
InputCodeWithError.args = {
  value: '123',
  type: 'code',
  helperText: 'Text Input Error',
  error: true
};
var InputCodeTwoFactor = InputComponent.bind({});
exports.InputCodeTwoFactor = InputCodeTwoFactor;
InputCodeTwoFactor.args = {
  value: '123',
  type: 'code',
  size: 'small',
  withSuccess: true,
  withLine: true
};
var InputNIP = InputComponent.bind({});
exports.InputNIP = InputNIP;
InputNIP.args = {
  value: '123',
  type: 'nip'
};
var InputNIPWithError = InputComponent.bind({});
exports.InputNIPWithError = InputNIPWithError;
InputNIPWithError.args = {
  value: '123',
  type: 'nip',
  error: true
};
/* Gradient */

var Gradient = InputComponent.bind({});
exports.Gradient = Gradient;
Gradient.parameters = {
  controls: {
    exclude: ['startAdornment', 'endAdornment', 'validation', 'setError', 'withSuccess', 'withLine', 'ref', 'focused', 'hiddenLabel']
  }
};
Gradient.args = {
  value: '',
  label: 'Nombre',
  variant: 'gradient'
};
/* Gradient */

var GradientReadOnly = InputComponent.bind({});
exports.GradientReadOnly = GradientReadOnly;
GradientReadOnly.parameters = {
  controls: {
    exclude: ['startAdornment', 'endAdornment', 'validation', 'setError', 'withSuccess', 'withLine', 'ref', 'focused', 'hiddenLabel']
  }
};
GradientReadOnly.args = {
  value: 'Juan Barrios',
  label: 'Nombre',
  variant: 'gradient',
  readOnly: true,
  focus: true
};
var GradientWithError = InputComponent.bind({});
exports.GradientWithError = GradientWithError;
GradientWithError.parameters = {
  controls: {
    exclude: ['startAdornment', 'endAdornment', 'validation', 'setError', 'withSuccess', 'withLine', 'ref', 'focused', 'hiddenLabel']
  }
};
GradientWithError.args = {
  value: '',
  label: 'Correo electrónico',
  type: 'email',
  variant: 'gradient',
  error: true,
  helperText: 'Escribe un e-mail válido'
};