import { ReactElement, Dispatch, SetStateAction, ReactNode, InputHTMLAttributes } from 'react';
import { TextFieldProps, InputClassKey, InputLabelClassKey, FormHelperTextClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/core/styles/withStyles';
declare type TVariant = 'standard' | 'outlined' | 'gradient';
export interface IClasses extends Partial<ClassNameMap<InputClassKey>> {
    notchedOutline?: string;
    adornedStart?: string;
    adornedEnd?: string;
    icon?: string;
    classesInputLabel?: Partial<ClassNameMap<InputLabelClassKey>>;
    classesFormHelperText?: Partial<ClassNameMap<FormHelperTextClassKey>>;
}
export interface IInput extends Omit<TextFieldProps, 'classes' | 'size' | 'variant' | 'type'> {
    className?: string;
    classes?: IClasses;
    variant?: TVariant;
    startAdornment?: ReactElement;
    endAdornment?: ReactElement;
    value: string;
    validation?: boolean;
    helperText: string | Element;
    helperTextPosition?: 'left' | 'right';
    error?: boolean;
    setError?: Dispatch<SetStateAction<boolean>>;
    size?: 'small' | 'medium' | 'large';
    withSuccess?: boolean;
    withLine?: boolean;
    textRight?: string | Element | ReactNode;
    type?: InputHTMLAttributes<unknown>['type'] | 'code' | 'nip';
    focus?: boolean;
}
export {};
