"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithModal = exports.Light = exports.Dark = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _react = require("react");

var _Molecules = require("../../Molecules");

var _Button = _interopRequireDefault(require("../Button"));

var _Loader = _interopRequireDefault(require("./Loader"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Atoms/Loader',
  component: _Loader.default,
  args: {
    isDark: false
  },
  argTypes: {}
};
exports.default = _default;

var LoaderComponent = function LoaderComponent(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Loader.default, _objectSpread(_objectSpread({}, args), {}, {
    position: "fixed",
    rootHeight: "100vh",
    rootWidth: "100vw"
  }));
};

var LoaderModalComponent = function LoaderModalComponent(args) {
  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      color: "primary",
      onClick: function onClick() {
        return setOpen(true);
      },
      children: "Open Modal"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Molecules.Modal, {
      open: open,
      handleClose: function handleClose() {
        return setOpen(false);
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Loader.default, _objectSpread(_objectSpread({}, args), {}, {
        showLoader: open,
        isModal: true
      }))
    })]
  });
};

var exclude = ['height', 'width', 'minHeight', 'minWidth', 'maxHeight', 'maxWidth', 'isModal', 'classes', 'position', 'rootHeight', 'rootWidth', 'extraStyle'];
var Light = LoaderComponent.bind({});
exports.Light = Light;
Light.args = {
  showLoader: true
};
Light.parameters = {
  controls: {
    exclude: exclude
  }
};
var Dark = LoaderComponent.bind({});
exports.Dark = Dark;
Dark.args = {
  showLoader: true,
  isDark: true
};
Dark.parameters = {
  controls: {
    exclude: exclude
  }
};
var WithModal = LoaderModalComponent.bind({});
exports.WithModal = WithModal;
WithModal.parameters = {
  controls: {
    exclude: ['showLoader', 'height', 'width', 'minHeight', 'minWidth', 'maxHeight', 'maxWidth', 'isModal', 'classes', 'position', 'rootHeight', 'rootWidth', 'extraStyle']
  }
};