"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _clsx5 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _FormControlLabel = _interopRequireDefault(require("../FormControlLabel"));

var _styles = _interopRequireDefault(require("./styles"));

var _IconsTheme = require("./IconsTheme");

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["label", "classes", "error", "disabled", "formControlLabelProps", "iosStyle", "isForTheme"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var SwitchComponent = function SwitchComponent(props) {
  var label = props.label,
      classesProps = props.classes,
      error = props.error,
      disabled = props.disabled,
      formControlLabelProps = props.formControlLabelProps,
      iosStyle = props.iosStyle,
      isForTheme = props.isForTheme,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var classes = (0, _styles.default)();
  var iosClasses = {
    root: classes.rootIOS,
    switchBase: classes.switchBaseIOS,
    thumb: classes.thumbIOS,
    track: (0, _clsx5.default)(classes.trackIOS, (0, _defineProperty2.default)({}, classes.trackError, error)),
    checked: (0, _clsx5.default)(classes.checkedIOS, (0, _defineProperty2.default)({}, classes.switchError, error))
  };

  var normalClasses = _objectSpread(_objectSpread({}, classesProps === null || classesProps === void 0 ? void 0 : classesProps.classesSwitch), {}, {
    checked: (0, _clsx5.default)((0, _defineProperty2.default)({}, classes.switchError, error)),
    track: (0, _clsx5.default)((0, _defineProperty2.default)({}, classes.trackError, error))
  });

  var themeClasses = {
    root: (0, _clsx5.default)(classes.rootIOS, classes.switchIOSRootTheme),
    switchBase: (0, _clsx5.default)(classes.switchBaseIOS, classes.switchBaseIOSTheme),
    thumb: classes.thumbIOS,
    track: (0, _clsx5.default)(classes.trackIOS, classes.trackIOSTheme),
    checked: classes.checkedIOS
  };
  var DefaultSwitch = /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Switch, _objectSpread({
    focusVisibleClassName: classes.focusVisible,
    classes: !iosStyle ? normalClasses : iosClasses,
    disableRipple: true,
    disableFocusRipple: true,
    disableTouchRipple: true
  }, rest));
  var ThemeSwitch = /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Switch, _objectSpread({
    focusVisibleClassName: classes.focusVisible,
    classes: themeClasses,
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_IconsTheme.DarkSVG, {}),
    checkedIcon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_IconsTheme.LightSVG, {})
  }, rest));
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FormControlLabel.default, _objectSpread({
    control: isForTheme ? ThemeSwitch : DefaultSwitch,
    classes: classesProps,
    label: label,
    disabled: disabled,
    error: error
  }, formControlLabelProps));
};

var _default = SwitchComponent;
exports.default = _default;