"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SwitchTheme = exports.StandardWithError = exports.StandardGroup = exports.StandardDisabled = exports.Standard = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = require("react");

var _core = require("@material-ui/core");

var _Switch = _interopRequireDefault(require("./Switch"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Atoms/Switch',
  component: _Switch.default,
  args: {
    iosStyle: false
  }
};
exports.default = _default;

var SwitchComponent = function SwitchComponent(_ref) {
  var args = (0, _extends2.default)({}, _ref);

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  var onChangeSwitch = function onChangeSwitch(e) {
    return setValue(e.target.checked);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, _objectSpread(_objectSpread({}, args), {}, {
    checked: localValue,
    onChange: onChangeSwitch
  }));
};

var SwitchComponentTheme = function SwitchComponentTheme(_ref2) {
  var args = (0, _extends2.default)({}, _ref2);

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      localValue = _useState4[0],
      setValue = _useState4[1];

  var onChangeSwitch = function onChangeSwitch(e) {
    return setValue(e.target.checked);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, _objectSpread(_objectSpread({}, args), {}, {
    checked: localValue,
    onChange: onChangeSwitch,
    isForTheme: true
  }));
};

var SwitchGroupComponent = function SwitchGroupComponent(_ref3) {
  var args = (0, _extends2.default)({}, _ref3);

  var _useState5 = (0, _react.useState)({
    checkedA: true,
    checkedB: true
  }),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      localValue = _useState6[0],
      setValue = _useState6[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    display: "flex",
    flexDirection: "column",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, _objectSpread(_objectSpread({}, args), {}, {
      checked: localValue.checkedA,
      onChange: function onChange(e) {
        return setValue(_objectSpread(_objectSpread({}, localValue), {}, {
          checkedA: e.target.checked
        }));
      }
    })), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, _objectSpread(_objectSpread({}, args), {}, {
      checked: localValue.checkedB,
      onChange: function onChange(e) {
        return setValue(_objectSpread(_objectSpread({}, localValue), {}, {
          checkedB: e.target.checked
        }));
      }
    }))]
  });
};
/* Standard */


var Standard = SwitchComponent.bind({});
exports.Standard = Standard;
Standard.args = {
  label: 'Switch'
};
var StandardDisabled = SwitchComponent.bind({});
exports.StandardDisabled = StandardDisabled;
StandardDisabled.args = {
  label: 'Switch',
  disabled: true
};
var StandardWithError = SwitchComponent.bind({});
exports.StandardWithError = StandardWithError;
StandardWithError.args = {
  label: 'Switch',
  error: true
};
var StandardGroup = SwitchGroupComponent.bind({});
exports.StandardGroup = StandardGroup;
StandardGroup.args = {
  label: 'Switch'
};
var SwitchTheme = SwitchComponentTheme.bind({});
exports.SwitchTheme = SwitchTheme;
SwitchTheme.parameters = {
  controls: {
    exclude: ['iosStyle']
  }
};