"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      transitions = _ref.transitions,
      spacing = _ref.spacing;
  var isLight = palette.type === 'light';
  return {
    switchError: {
      color: "".concat(palette.error.main, " !important")
    },
    trackError: {
      backgroundColor: "".concat(palette.error.main, " !important")
    },
    // ios styles
    rootIOS: {
      width: 40,
      height: 22,
      padding: 0,
      margin: spacing(0.5)
    },
    switchBaseIOS: {
      padding: 2,
      '&:hover': {
        backgroundColor: 'unset'
      },
      '&$switchError': {
        color: "".concat(palette.common.white, " !important")
      },
      '&$checkedIOS': {
        transform: 'translateX(18px)',
        color: palette.common.white,
        '&:hover': {
          backgroundColor: 'unset'
        },
        '& + $trackIOS': {
          opacity: '1 !important',
          backgroundColor: isLight ? palette.background.switchThemeLight : palette.background.switch
        }
      }
    },
    switchIOSRootTheme: {
      width: 42
    },
    switchBaseIOSTheme: {
      padding: 1,
      '&$checkedIOS': {
        transform: 'translateX(20px)',
        '& + $trackIOSTheme': {
          opacity: '1 !important',
          backgroundColor: palette.background.switchThemeLight
        }
      }
    },
    thumbIOS: {
      width: 18,
      height: 18,
      boxShadow: 'none'
    },
    trackIOS: {
      borderRadius: 16,
      backgroundColor: palette.background.switch,
      opacity: isLight ? 1 : 0.3,
      transition: transitions.create(['background-color', 'opacity'])
    },
    trackIOSTheme: {
      backgroundColor: palette.background.switchThemeDark,
      opacity: isLight ? 1 : 0.8,
      transition: transitions.create(['background-color', 'opacity'])
    },
    checkedIOS: {},
    focusVisible: {}
  };
});

exports.default = _default;