"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _core = require("@material-ui/core");

var _Atoms = require("../../Atoms");

var _hooks = require("../../../hooks");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var BoxPesos = function BoxPesos(_ref) {
  var value = _ref.value,
      coin = _ref.coin,
      buttonText = _ref.buttonText,
      onChange = _ref.onChange,
      onClick = _ref.onClick,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      _ref$decimal = _ref.decimal,
      decimal = _ref$decimal === void 0 ? 2 : _ref$decimal,
      _ref$footer = _ref.footer,
      footer = _ref$footer === void 0 ? [] : _ref$footer,
      _ref$focus = _ref.focus,
      focus = _ref$focus === void 0 ? false : _ref$focus,
      height = _ref.height;
  var styles = (0, _styles.default)({
    disabled: disabled,
    value: value,
    height: height
  });
  var inputRef = (0, _react.useRef)(null);
  var boxAmountRef = (0, _react.useRef)(null);
  var windowDimensions = (0, _hooks.useWindowDimensions)();

  var handleOnInput = function handleOnInput() {
    var _inputRef$current;

    var value = (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.value;
    var re = new RegExp("^\\d*\\.?(\\d{1,".concat(decimal, "})?$"));

    if (re.test(value)) {
      var characters = value.length;

      if (characters >= 1 && inputRef.current) {
        inputRef.current.style.minWidth = '12px';
      }

      if (characters <= 0 && inputRef.current) {
        inputRef.current.style.minWidth = '70px';
      }

      var width = characters * 20;
      var findSplit1 = value.split('.');
      var findSplit2 = value.split(',');

      if (findSplit1.length > 1) {
        var subtract = (findSplit1.length - 1) * 8;
        width -= subtract;
      }

      if (findSplit2.length > 1) {
        var _subtract = (findSplit2.length - 1) * 8;

        width -= _subtract;
      }

      if (inputRef.current) {
        inputRef.current.style.width = "".concat(width, "px");
      }
    }
  };

  (0, _react.useEffect)(function () {
    if (boxAmountRef.current && inputRef.current) {
      var _boxAmountRef$current;

      inputRef.current.style.maxWidth = "".concat(((_boxAmountRef$current = boxAmountRef.current) === null || _boxAmountRef$current === void 0 ? void 0 : _boxAmountRef$current.offsetWidth) - 60, "px");
    }
  }, [boxAmountRef, inputRef, windowDimensions.width]);
  (0, _react.useEffect)(function () {
    handleOnInput();
  }, [value]);
  (0, _react.useEffect)(function () {
    if (inputRef.current && focus) {
      inputRef.current.focus();
    }
  }, [focus, inputRef]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Atoms.BoxGray, {
    padding: 0,
    classes: {
      root: styles.root
    },
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
      padding: 2,
      className: styles.containerAmount,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: styles.amount,
        ref: boxAmountRef,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("input", {
          placeholder: "0.00",
          className: styles.inputAmount,
          onInput: handleOnInput,
          ref: inputRef,
          disabled: disabled || false,
          value: value,
          onChange: onChange
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "subtitle2",
          component: "span",
          className: styles.coin,
          children: coin
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
        size: "small",
        label: buttonText,
        disabled: disabled || false,
        onClick: onClick,
        className: styles.btn
      })]
    }), footer.length >= 1 && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
      className: styles.footer,
      children: footer.map(function (item, index) {
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: item
        }, index);
      })
    })]
  });
};

var _default = BoxPesos;
exports.default = _default;