"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var color = function color(_ref) {
  var _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      value = _ref.value;
  return disabled || value === '' ? '#8696A8' : 'initial';
};

var height = function height(_ref2) {
  var _ref2$height = _ref2.height,
      height = _ref2$height === void 0 ? 0 : _ref2$height;
  return height !== 0 ? height : 115;
};

var _default = (0, _core.makeStyles)(function (_ref3) {
  var typography = _ref3.typography,
      palette = _ref3.palette;
  return {
    root: {
      display: 'grid',
      gridTemplateRows: '1fr max-content',
      gap: 5,
      width: '100%',
      alignItems: 'unset',
      justifyContent: 'unset'
    },
    containerAmount: {
      display: 'grid',
      gridTemplateColumns: '1fr min-content',
      alignItems: 'center',
      gap: 30,
      width: '100%',
      height: height
    },
    amount: {
      display: 'flex',
      alignItems: 'baseline',
      columnGap: 5,
      width: '100%'
    },
    coin: {
      fontSize: 15,
      lineHeight: '19px',
      color: color
    },
    inputAmount: {
      lineHeight: '32px',
      backgroundColor: 'transparent',
      border: 'none',
      fontSize: typography.pxToRem(36),
      fontWeight: 500,
      width: 70,
      minWidth: 70,
      maxWidth: '100%',
      '&::placeholder': {
        color: color
      }
    },
    footer: {
      borderTop: '1px solid #AFC1D4',
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      padding: 10,
      '& > p': {
        fontSize: '16px',
        fontWeight: 500,
        lineHeight: '22px'
      }
    },
    btn: {
      backgroundColor: 'rgba(7, 7, 7, 0.035509)',
      minWidth: 'unset',
      borderRadius: '10px',
      padding: '6.5px 4px',
      '& > span': {
        fontSize: '12px',
        lineHeight: '9px',
        color: palette.primary.main,
        margin: '10px 5px'
      },
      '&:disabled': {
        border: 'unset',
        background: 'rgba(7, 7, 7, 0.035509) !important',
        borderRadius: '10px !important',
        '& > span': {
          color: color
        }
      }
    }
  };
});

exports.default = _default;