"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _svgs = require("./svgs");

var _styles = require("./styles");

var _jsxRuntime = require("react/jsx-runtime");

// Components
var ContentStatus = function ContentStatus(_ref) {
  var onlyStatus = _ref.onlyStatus,
      statusText = _ref.statusText,
      status = _ref.status;
  var theme = (0, _core.useTheme)();
  var colors = {
    success: theme.palette.success.main,
    warning: theme.palette.warning.light,
    error: theme.palette.error.main
  };
  var classes = (0, _styles.useStylesStatus)({
    color: colors[status] || '#f7f9fb',
    onlyStatus: onlyStatus
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Card, {
    className: classes.contentStatus,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      children: [!onlyStatus && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          target: "_blank",
          rel: "noopener noreferrer",
          href: "https://tauros.io/terms",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
            children: "Informaci\xF3n Legal"
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Typography, {
          children: ["\xA9 ", new Date().getFullYear(), " Tauros - todos los derechos reservados"]
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("a", {
        target: "_blank",
        rel: "noopener noreferrer",
        href: "https://status.tauros.io",
        className: classes.status,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: statusText
        })]
      })]
    })
  });
};

var Footer = function Footer(_ref2) {
  var _ref2$onlyStatus = _ref2.onlyStatus,
      onlyStatus = _ref2$onlyStatus === void 0 ? false : _ref2$onlyStatus,
      _ref2$statusText = _ref2.statusText,
      statusText = _ref2$statusText === void 0 ? '' : _ref2$statusText,
      _ref2$status = _ref2.status,
      status = _ref2$status === void 0 ? 'success' : _ref2$status;
  var classes = (0, _styles.useStyles)({
    onlyStatus: onlyStatus
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [!onlyStatus && /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("footer", {
        className: classes.root,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("nav", {
          className: classes.nav,
          children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.liTitle,
              children: "Tauros"
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://tauros.io//fees",
                children: "Comisiones"
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://blog.tauros.io/",
                children: "Blog"
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://status.tauros.io",
                children: "Statuspage"
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://ayuda.tauros.io/",
                children: "Ayuda"
              })
            })]
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.liTitle,
              children: "Productos"
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://tauros.io/exchange/classic/btc-mxn",
                children: "Exchange"
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://tauros.io/tauros-card",
                children: "Tarjeta"
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://docs.tauros.io/",
                children: "Tauros API"
              })
            })]
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.liTitle,
              children: "Legales"
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://tauros.io/privacy",
                children: "Pol\xEDticas de privacidad"
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://tauros.io/terms",
                children: "T\xE9rminos y condiciones"
              })
            })]
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.liTitle,
              children: "Conecta"
            }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("li", {
              className: classes.liIcons,
              children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://www.instagram.com/tauros.io",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_svgs.InstagramSvg, {})
              }), /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://twitter.com/tauros_io",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_svgs.TwitterSvg, {})
              }), /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://www.facebook.com/tauros.io",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_svgs.FacebookSvg, {})
              }), /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
                target: "_blank",
                rel: "noopener noreferrer",
                href: "https://www.linkedin.com/company/taurosio/?originalSubdomain=mx",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_svgs.LinkedinSvg, {})
              })]
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
              className: classes.li,
              children: "contacto@tauros.io"
            })]
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
          className: classes.logoWrapper,
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_svgs.LogoDarkSvg, {}), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Typography, {
            color: "primary",
            children: ["\xA9 ", new Date().getFullYear(), " Tauros Exchange S.A. de C.V. Todos los derechos reservados."]
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Typography, {
          color: "textSecondary",
          className: classes.disclamer,
          children: ["\u201CCacao Paycard Solutions, S.A. de C.V., es el \xFAnico responsable de la operaci\xF3n y administraci\xF3n de las cuentas aperturadas a trav\xE9s de su comisionista Tauros Exchange S.A. de C.V., as\xED como de la emisi\xF3n y operaci\xF3n de las tarjetas asociadas a estas cuentas, mismas que se utilizan como medio de disposici\xF3n. Para mayor informaci\xF3n dirigirse a www.cacaopaycard.com", /*#__PURE__*/(0, _jsxRuntime.jsx)("br", {}), " Tauros Exchange S.A. de C.V. no ofrece los servicios de emisi\xF3n, administraci\xF3n, redenci\xF3n y transmisi\xF3n de fondos de pago electr\xF3nico, tiene celebrado con Cacao un contrato de comisi\xF3n mercantil para prestar los servicios de la cuenta a nombre y por cuenta de este \xFAltimo, por lo anterior, considerando que Cacao es una empresa comprometida con el cumplimiento legal, se informa que la Autoridad Financiera emiti\xF3 resoluci\xF3n negativa hacia Cacao para operar como Instituci\xF3n de Fondos de Pago Electr\xF3nico (\u201CIFPE\u201D) en los t\xE9rminos de la Ley para Regular las Instituciones de Tecnolog\xEDa Financiera (\u201CLey Fintech\u201D), por lo tanto Cacao no podr\xE1 celebrar nuevas operaciones con el p\xFAblico en general.", /*#__PURE__*/(0, _jsxRuntime.jsx)("br", {}), " Si ya eres cliente, para mayor informaci\xF3n, favor de escribirnos a los siguientes correos electr\xF3nicos: legal@cacaopaycard.com, contacto@cacaopaycard.com o contacto@tauros.io, donde con gusto resolveremos tus inquietudes, con el fin que se te comunique el proceso a seguir en protecci\xF3n de tus fondos, mismo que se efectuar\xE1 conforme al marco regulatorio aplicable. \u201D."]
        })]
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(ContentStatus, {
      onlyStatus: onlyStatus,
      statusText: statusText,
      status: status
    })]
  });
};

var _default = Footer;
exports.default = _default;