import { ReactChild, ReactNode } from 'react';
import { AppBarProps, MenuClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/styles';
declare type TClasses = {
    container?: string;
    logo?: string;
    children?: string;
    movil?: string;
    movilItems?: string;
    movilItem?: string;
    menu?: Partial<ClassNameMap<MenuClassKey>>;
};
export interface IChildrenMovil {
    name: string;
    onClick?: ((...args: any) => {}) | ((...args: any) => void);
}
export interface INavBar {
    isAuthenticated?: boolean;
    childrenAuthenticated?: ReactNode | ReactChild;
    childrenanonymous: ReactNode | ReactChild;
    childreMovil?: IChildrenMovil[];
    childreMovilStart?: ReactNode | ReactChild;
    childreMovilEnd?: ReactNode | ReactChild;
    logo?: ReactNode | ReactChild;
    classes?: TClasses;
    position?: AppBarProps['position'];
}
export {};
