"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStylesStatus = exports.useStyles = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var fontFamily = 'AirbnbCerealApp !important';
var useStyles = (0, _core.makeStyles)(function (_ref) {
  var _root, _liTitle, _a, _li, _a2, _logoWrapper;

  var breakpoints = _ref.breakpoints,
      palette = _ref.palette;
  return {
    root: (_root = {
      width: '100%',
      maxWidth: 940,
      margin: '5rem auto'
    }, (0, _defineProperty2.default)(_root, breakpoints.up('xl'), {
      maxWidth: 1200
    }), (0, _defineProperty2.default)(_root, breakpoints.down('sm'), {
      padding: 16
    }), _root),
    nav: (0, _defineProperty2.default)({
      width: '100%',
      display: 'grid',
      gridAutoFlow: 'column',
      gridTemplateColumns: 'repeat(4, 1fr)'
    }, breakpoints.down('xs'), {
      gridGap: '2rem',
      gridTemplateColumns: 'repeat(2, 1fr)',
      gridTemplateRows: 'repeat(2, max-content)'
    }),
    liTitle: (_liTitle = {
      fontFamily: fontFamily,
      fontSize: 21,
      fontWeight: 600,
      fontStretch: 'normal',
      fontStyle: 'normal',
      lineHeight: 'normal',
      letterSpacing: -0.59,
      color: palette.primary.main
    }, (0, _defineProperty2.default)(_liTitle, breakpoints.down('xl'), {
      fontSize: 16,
      letterSpacing: -0.45
    }), (0, _defineProperty2.default)(_liTitle, breakpoints.down('sm'), {
      fontSize: 14
    }), _liTitle),
    li: (_li = {
      marginTop: '1rem',
      fontFamily: fontFamily,
      fontSize: 18,
      letterSpacing: -0.51,
      color: palette.primary.main
    }, (0, _defineProperty2.default)(_li, breakpoints.down('xl'), {
      fontSize: 14,
      letterSpacing: -0.4
    }), (0, _defineProperty2.default)(_li, breakpoints.down('sm'), {
      fontSize: 14
    }), (0, _defineProperty2.default)(_li, '& > :hover', {
      textDecoration: 'underline'
    }), (0, _defineProperty2.default)(_li, '& > a', (_a = {
      textDecoration: 'none',
      fontFamily: fontFamily,
      fontSize: 18,
      fontWeight: 'normal',
      fontStretch: 'normal',
      fontStyle: 'normal',
      lineHeight: 'normal',
      letterSpacing: -0.51,
      color: palette.primary.main
    }, (0, _defineProperty2.default)(_a, breakpoints.down('xl'), {
      fontSize: 14,
      letterSpacing: -0.4
    }), (0, _defineProperty2.default)(_a, breakpoints.down('sm'), {
      fontSize: 14
    }), _a)), _li),
    liIcons: {
      marginTop: '1rem',
      '& > a': (_a2 = {
        color: palette.text.secondary,
        marginRight: '1rem'
      }, (0, _defineProperty2.default)(_a2, breakpoints.down('xl'), {
        marginRight: 8,
        '& > svg': {
          width: 24,
          height: 24
        }
      }), (0, _defineProperty2.default)(_a2, breakpoints.down('sm'), {
        marginRight: 8,
        '& > svg': {
          width: 20,
          height: 20
        }
      }), _a2)
    },
    logoWrapper: (_logoWrapper = {
      margin: '5rem 0 2rem',
      marginTop: 174,
      display: 'flex',
      alignItems: 'flex-end',
      '& > :last-child': (0, _defineProperty2.default)({
        marginLeft: '2rem',
        fontFamily: fontFamily,
        fontSize: 18,
        fontWeight: 'normal',
        fontStretch: 'normal',
        fontStyle: 'normal',
        lineHeight: 'normal',
        letterSpacing: -0.51
      }, breakpoints.down('xl'), {
        fontSize: 13.9,
        letterSpacing: -0.39
      })
    }, (0, _defineProperty2.default)(_logoWrapper, breakpoints.down('xs'), {
      alignItems: 'flex-start',
      flexDirection: 'column',
      '& > :first-child': {
        width: 92,
        marginBottom: '1rem'
      },
      '& > :last-child': {
        marginLeft: 0,
        fontSize: 13
      }
    }), (0, _defineProperty2.default)(_logoWrapper, '& > svg', {
      width: '105px',
      height: 'auto',
      '& > image': (0, _defineProperty2.default)({
        objectFit: 'contain',
        width: 130,
        height: 27
      }, breakpoints.down('xl'), {
        width: 101,
        height: 21
      })
    }), _logoWrapper),
    disclamer: {
      marginTop: 40,
      fontFamily: fontFamily,
      fontSize: 12,
      fontWeight: 'normal',
      fontStretch: 'normal',
      fontStyle: 'normal',
      lineHeight: 'normal',
      letterSpacing: '-0.34px',
      textAlign: 'justify'
    }
  };
});
exports.useStyles = useStyles;
var useStylesStatus = (0, _core.makeStyles)(function (_ref2) {
  var _div;

  var breakpoints = _ref2.breakpoints,
      palette = _ref2.palette;
  return {
    contentStatus: (0, _defineProperty2.default)({
      minHeight: function minHeight(_ref3) {
        var onlyStatus = _ref3.onlyStatus;
        return onlyStatus ? 20 : 50;
      },
      width: '100%',
      backgroundColor: '#fff',
      boxShadow: 'none',
      border: 'solid 1px rgba(223, 227, 232, 0.8)',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      borderRadius: 0,
      '& > div': (_div = {
        height: '100%',
        width: '100%',
        // maxWidth: ({ onlyStatus }) => (onlyStatus ? 1240 : 940),
        padding: function padding(_ref4) {
          var onlyStatus = _ref4.onlyStatus;
          return onlyStatus ? '0 8vw' : '0 12vw';
        },
        margin: '0 auto',
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'space-between',
        '& p': {
          fontSize: function fontSize(_ref5) {
            var onlyStatus = _ref5.onlyStatus;
            return onlyStatus ? 8 : 11;
          },
          fontWeight: 'normal',
          fontStretch: 'normal',
          fontStyle: 'normal',
          lineHeight: 'normal',
          letterSpacing: '0.21px',
          color: palette.primary.main
        }
      }, (0, _defineProperty2.default)(_div, breakpoints.down('sm'), {
        padding: 16
      }), (0, _defineProperty2.default)(_div, breakpoints.down('xs'), {
        flexDirection: 'column',
        height: function height(_ref6) {
          var onlyStatus = _ref6.onlyStatus;
          return onlyStatus ? 'auto' : 132;
        },
        padding: function padding(_ref7) {
          var onlyStatus = _ref7.onlyStatus;
          return onlyStatus ? 0 : '20px 0';
        },
        '& > p:first-child': {
          fontWeight: 'bold'
        }
      }), _div)
    }, breakpoints.down('xs'), {
      height: 'auto'
    }),
    status: {
      display: 'flex',
      alignItems: 'center',
      '& > div': {
        width: function width(_ref8) {
          var onlyStatus = _ref8.onlyStatus;
          return onlyStatus ? 4 : 7;
        },
        height: function height(_ref9) {
          var onlyStatus = _ref9.onlyStatus;
          return onlyStatus ? 4 : 7;
        },
        backgroundColor: function backgroundColor(_ref10) {
          var color = _ref10.color;
          return color === '#DB861F' ? palette.warning.main : color;
        },
        borderRadius: 10,
        marginRight: function marginRight(_ref11) {
          var onlyStatus = _ref11.onlyStatus;
          return onlyStatus ? 8 : 10;
        }
      }
    }
  };
});
exports.useStylesStatus = useStylesStatus;