"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _clsx8 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _fi = require("react-icons/fi");

var _theme = require("../../../theme");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var Modal = function Modal(_ref) {
  var _clsx2, _clsx3, _clsx4, _clsx5, _clsx6, _clsx7;

  var open = _ref.open,
      handleClose = _ref.handleClose,
      classes = _ref.classes,
      children = _ref.children,
      handleCloseBack = _ref.handleCloseBack,
      _ref$back = _ref.back,
      back = _ref$back === void 0 ? false : _ref$back,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? 'light' : _ref$theme,
      _ref$complete = _ref.complete,
      complete = _ref$complete === void 0 ? false : _ref$complete,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? '' : _ref$title;
  var styles = (0, _styles.default)({
    complete: complete
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.ThemeProvider, {
    theme: theme === 'light' ? _theme.light : _theme.dark,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Dialog, {
      open: open || false,
      onClose: handleClose,
      classes: {
        root: (0, _clsx8.default)(styles.backDrop, (0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.root, !!(classes !== null && classes !== void 0 && classes.root))),
        paper: (0, _clsx8.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, styles.root, true), (0, _defineProperty2.default)(_clsx2, classes === null || classes === void 0 ? void 0 : classes.container, !!(classes !== null && classes !== void 0 && classes.container)), _clsx2))
      },
      children: [(title || handleClose || back) && /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: (0, _clsx8.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, styles.containerHeader, true), (0, _defineProperty2.default)(_clsx3, styles.containerHeaderWithoutTitle, !title && !back), (0, _defineProperty2.default)(_clsx3, classes === null || classes === void 0 ? void 0 : classes.containerHeader, !!(classes !== null && classes !== void 0 && classes.containerHeader)), _clsx3)),
        children: [back ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.IconButton, {
          onClick: handleCloseBack,
          className: (0, _clsx8.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, styles.backIcon, true), (0, _defineProperty2.default)(_clsx4, classes === null || classes === void 0 ? void 0 : classes.iconBack, !!(classes !== null && classes !== void 0 && classes.iconBack)), _clsx4)),
          disableRipple: true,
          disableFocusRipple: true,
          disableTouchRipple: true,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiArrowLeft, {
            size: 22
          })
        }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
          height: "22px",
          width: "25px"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          className: (0, _clsx8.default)((_clsx5 = {}, (0, _defineProperty2.default)(_clsx5, styles.title, true), (0, _defineProperty2.default)(_clsx5, classes === null || classes === void 0 ? void 0 : classes.title, !!(classes !== null && classes !== void 0 && classes.title)), _clsx5)),
          children: title
        }), handleClose ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.IconButton, {
          onClick: handleClose,
          className: (0, _clsx8.default)((_clsx6 = {}, (0, _defineProperty2.default)(_clsx6, styles.closeBtn, true), (0, _defineProperty2.default)(_clsx6, classes === null || classes === void 0 ? void 0 : classes.iconButton, !!(classes !== null && classes !== void 0 && classes.iconButton)), _clsx6)),
          disableRipple: true,
          disableFocusRipple: true,
          disableTouchRipple: true,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiX, {
            size: 22
          })
        }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
          height: "22px",
          width: "25px"
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
        className: (0, _clsx8.default)((_clsx7 = {}, (0, _defineProperty2.default)(_clsx7, styles.content, true), (0, _defineProperty2.default)(_clsx7, styles.contentWithoutTitle, !title && !back), (0, _defineProperty2.default)(_clsx7, classes === null || classes === void 0 ? void 0 : classes.children, !!(classes !== null && classes !== void 0 && classes.children)), _clsx7)),
        children: children
      })]
    })
  });
};

var _default = Modal;
exports.default = _default;