"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var breakpoints = _ref.breakpoints,
      zIndex = _ref.zIndex;
  return {
    backDrop: (0, _defineProperty2.default)({
      'z-index': "".concat(zIndex.modal, " !important"),
      '& > div:first-child': {
        background: 'rgba(0, 0, 0, 0.5)',
        backdropFilter: 'blur(4px)'
      }
    }, breakpoints.down(767), {
      '& > div:nth-child(3)': {
        alignItems: function alignItems(_ref2) {
          var complete = _ref2.complete;
          return complete ? 'center' : 'flex-end';
        }
      }
    }),
    root: (0, _defineProperty2.default)({
      display: 'flex',
      alignItems: 'center',
      width: '100%',
      maxWidth: 380,
      borderRadius: 8,
      position: 'relative',
      margin: 8,
      overflowX: 'hidden',
      maxHeight: '90vh !important',
      minHeight: 260,
      boxShadow: '0px 4px 15px rgba(0, 0, 0, 0.12)'
    }, breakpoints.down(767), {
      height: function height(_ref3) {
        var complete = _ref3.complete;
        return complete ? '100vh' : 'calc(100% - 65px)';
      },
      minHeight: 'unset',
      maxHeight: '100% !important',
      width: '100vw',
      maxWidth: 'unset',
      margin: '0',
      borderRadius: '0'
    }),
    content: {
      'overflow-y': 'overlay',
      overflowX: 'hidden',
      width: '100%',
      maxHeight: '100%',
      margin: '0 0 20px',
      padding: '0 20px',
      paddingLeft: 28,
      paddingTop: 10,
      display: 'flex',
      flexDirection: 'column',
      '&::-webkit-scrollbar': {
        width: 4,
        backgroundColor: 'transparent'
      },
      '&::-webkit-scrollbar-thumb ': {// backgroundColor: light.palette.divider
      }
    },
    contentWithoutTitle: {
      paddingRight: 44
    },
    closeBtn: {
      padding: 0,
      '& > span> svg': {
        color: '#687F99'
      },
      '&:hover': {
        backgroundColor: 'transparent'
      }
    },
    backIcon: {
      marginRight: 0,
      padding: 0,
      '& > span> svg': {
        color: '#687F99'
      },
      '&:hover': {
        backgroundColor: 'transparent'
      }
    },
    containerHeader: {
      width: '100%',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'space-between',
      padding: 20
    },
    containerHeaderWithoutTitle: {
      position: 'absolute'
    },
    title: {
      width: '100%',
      fontSize: 15,
      fontWeight: 'bold',
      lineHeight: '1',
      textAlign: 'center'
    }
  };
});

exports.default = _default;