"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _core = require("@material-ui/core");

var _clsx6 = _interopRequireDefault(require("clsx"));

var _fi = require("react-icons/fi");

var _Atoms = require("../../Atoms");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var MenuIcon = function MenuIcon(_ref) {
  var color = _ref.color;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("svg", {
    width: "18",
    height: "16",
    viewBox: "0 0 18 16",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M11.1921 0.5H0.807891C0.361719 0.5 0 0.947732 0 1.5C0 2.05227 0.361719 2.5 0.807891 2.5H11.1921C11.6383 2.5 12 2.05227 12 1.5C12 0.947732 11.6383 0.5 11.1921 0.5Z",
      fill: color
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M17.1921 7H7.80789C7.36172 7 7 7.44768 7 8C7 8.55232 7.36172 9 7.80789 9H17.1921C17.6383 9 18 8.55232 18 8C18 7.44773 17.6383 7 17.1921 7Z",
      fill: color
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M1.80789 13.5H8.19211C8.63832 13.5 9 13.9477 9 14.5C9 15.0523 8.63832 15.5 8.19211 15.5H1.80789C1.36172 15.5 1 15.0523 1 14.5C1 13.9477 1.36172 13.5 1.80789 13.5Z",
      fill: color
    })]
  });
};

var Header = function Header(_ref2) {
  var _clsx, _clsx2, _clsx3, _clsx4;

  var _ref2$position = _ref2.position,
      position = _ref2$position === void 0 ? 'absolute' : _ref2$position,
      isAuthenticated = _ref2.isAuthenticated,
      childrenAuthenticated = _ref2.childrenAuthenticated,
      childrenanonymous = _ref2.childrenanonymous,
      _ref2$childreMovil = _ref2.childreMovil,
      childreMovil = _ref2$childreMovil === void 0 ? [] : _ref2$childreMovil,
      childreMovilStart = _ref2.childreMovilStart,
      childreMovilEnd = _ref2.childreMovilEnd,
      logo = _ref2.logo,
      classes = _ref2.classes;
  var styles = (0, _styles.default)();

  var _useTheme = (0, _core.useTheme)(),
      breakpoints = _useTheme.breakpoints,
      palette = _useTheme.palette;

  var _useState = (0, _react.useState)(null),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      anchorEl = _useState2[0],
      setAnchorEl = _useState2[1];

  var isMovil = (0, _core.useMediaQuery)(breakpoints.down('xs'));

  var handleClick = function handleClick(event) {
    setAnchorEl(event.currentTarget);
  };

  var handleClose = function handleClose() {
    setAnchorEl(null);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.AppBar, {
    color: "primary",
    position: position,
    className: (0, _clsx6.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes === null || classes === void 0 ? void 0 : classes.container, !!(classes !== null && classes !== void 0 && classes.container)), (0, _defineProperty2.default)(_clsx, styles.container, true), _clsx)),
    children: [logo, /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
      className: (0, _clsx6.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes === null || classes === void 0 ? void 0 : classes.children, !!(classes !== null && classes !== void 0 && classes.children)), (0, _defineProperty2.default)(_clsx2, styles.children, true), _clsx2)),
      children: !isMovil && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
        children: isAuthenticated ? childrenAuthenticated : childrenanonymous
      })
    }), isMovil && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
      className: (0, _clsx6.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes === null || classes === void 0 ? void 0 : classes.movil, !!(classes !== null && classes !== void 0 && classes.movil)), (0, _defineProperty2.default)(_clsx3, styles.movil, true), _clsx3)),
      children: [childreMovilStart, childreMovil.length >= 1 && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.IconButton, {
          onClick: function onClick(e) {
            return anchorEl ? handleClose() : handleClick(e);
          },
          "aria-controls": "menu-anonymous",
          children: anchorEl ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiX, {
            color: "#6F747A",
            size: "24"
          }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(MenuIcon, {
            color: palette.primary.main
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Menu, {
          id: "menu-anonymous",
          classes: classes === null || classes === void 0 ? void 0 : classes.menu,
          anchorEl: anchorEl,
          open: Boolean(anchorEl),
          onClose: handleClose,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
            className: (0, _clsx6.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, classes === null || classes === void 0 ? void 0 : classes.movilItems, !!(classes !== null && classes !== void 0 && classes.movilItems)), (0, _defineProperty2.default)(_clsx4, styles.movilItems, true), _clsx4)),
            children: childreMovil === null || childreMovil === void 0 ? void 0 : childreMovil.map(function (children) {
              var _clsx5;

              return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.MenuItem, {
                onClick: children === null || children === void 0 ? void 0 : children.onClick,
                className: (0, _clsx6.default)((_clsx5 = {}, (0, _defineProperty2.default)(_clsx5, classes === null || classes === void 0 ? void 0 : classes.movilItem, !!(classes !== null && classes !== void 0 && classes.movilItem)), (0, _defineProperty2.default)(_clsx5, styles.movilItem, true), _clsx5)),
                children: children.name
              }, children.name);
            })
          })
        })]
      }), childreMovilEnd]
    })]
  });
};

var _default = Header;
exports.default = _default;