"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithLink = exports.Custom = exports.Blank = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _Atoms = require("../../Atoms");

var _NavBar = _interopRequireDefault(require("./NavBar"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var useStyle = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      breakpoints = _ref.breakpoints;
  return {
    containerWithLink: {
      display: 'flex',
      alignItems: 'center',
      '& > li': {
        padding: '0 18px'
      }
    },
    a: {
      color: palette.text.primary
    },
    profile: {
      color: palette.text.primary,
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'space-between'
    },
    profile1: {
      padding: '5px 5px 5px 18px',
      fontWeight: 'bold',
      borderRadius: '30px',
      color: palette.text.primary,
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'space-between',
      '&:hover': {
        backgroundColor: 'rgb(189 189 189 / 40%)'
      }
    },
    logoName: {
      fontSize: 16,
      fontWeight: 600,
      color: palette.primary.contrastText,
      backgroundColor: palette.primary.main,
      width: 40,
      height: 40,
      display: 'flex',
      alignItems: 'center',
      borderRadius: '50%',
      justifyContent: 'center',
      marginRight: 5
    },
    logoName1: {
      fontSize: 16,
      fontWeight: 600,
      color: palette.primary.contrastText,
      backgroundColor: palette.primary.main,
      width: 40,
      height: 40,
      display: 'flex',
      alignItems: 'center',
      borderRadius: '50%',
      justifyContent: 'center',
      marginLeft: 5
    },
    containerCustom: (0, _defineProperty2.default)({
      height: 68,
      boxShadow: 'inset 0 -1px 0 0 rgb(222 229 238 / 75%)',
      backdropFilter: 'blur(10px)',
      justifyContent: 'space-between',
      backgroundColor: 'rgba(247, 249, 251, 0.66)'
    }, breakpoints.down('xs'), {
      height: 99
    }),
    logo: (0, _defineProperty2.default)({
      height: 30
    }, breakpoints.down('xs'), {
      height: 25
    }),
    menu: {
      top: '99px !important'
    }
  };
});
var _default = {
  title: 'Tauros-web-ui/Molecules/NavBar',
  component: _NavBar.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var LogoComponent = function LogoComponent() {
  var _useTheme = (0, _core.useTheme)(),
      palette = _useTheme.palette;

  var isLight = palette.type === 'light';
  var styles = useStyle();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.LazyImage, {
    src: isLight ? './images/tauros-logo-ligth.png' : './images/tauros-logo.png',
    srcSet: "".concat(isLight ? './images/tauros-logo-ligth@2x.png' : './images/tauros-logo@2x.png', " 2x,").concat(isLight ? './images/tauros-logo-ligth@2x.png' : './images/tauros-logo@3x.png', " 3x"),
    alt: "tauros-logo",
    className: styles.logo
  });
};

var ChildrenWyhLinkAnonymous = function ChildrenWyhLinkAnonymous(_ref2) {
  var _ref2$showMore = _ref2.showMore,
      showMore = _ref2$showMore === void 0 ? false : _ref2$showMore;
  var styles = useStyle();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
    className: styles.containerWithLink,
    children: [showMore && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          children: "Ayuda"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          children: "Tarjeta"
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
        href: "#!",
        className: styles.a,
        children: "Inicia Sesi\xF3n"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
        href: "#!",
        color: "primary",
        children: "\xDAnete a Tauros"
      })
    })]
  });
};

var ChildrenWyhLinkAuthenticated = function ChildrenWyhLinkAuthenticated(_ref3) {
  var _ref3$showMore = _ref3.showMore,
      showMore = _ref3$showMore === void 0 ? false : _ref3$showMore;
  var styles = useStyle();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
    className: styles.containerWithLink,
    children: [!showMore && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          children: "Wallets"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          children: "Tarjeta"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          children: "Exchange"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("a", {
          href: "#!",
          className: styles.profile,
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
            component: "span",
            className: styles.logoName,
            children: "RS"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
            component: "span",
            children: "Perfil"
          })]
        })
      })]
    }), showMore && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          children: "Ayuda"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          children: "Tarjeta"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
          href: "#!",
          className: styles.a,
          style: {
            fontWeight: 'bold'
          },
          children: "Cerrar Sesi\xF3n"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("a", {
          href: "#!",
          className: styles.profile1,
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
            component: "span",
            children: "Ir a Perfil"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
            component: "span",
            className: styles.logoName1,
            children: "RS"
          })]
        })
      })]
    })]
  });
};

var NavBarComponentBlank = function NavBarComponentBlank(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_NavBar.default, _objectSpread(_objectSpread({}, args), {}, {
    logo: /*#__PURE__*/(0, _jsxRuntime.jsx)(LogoComponent, {})
  }));
};

var NavBarComponentWithLink = function NavBarComponentWithLink(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_NavBar.default, _objectSpread(_objectSpread({}, args), {}, {
    logo: /*#__PURE__*/(0, _jsxRuntime.jsx)(LogoComponent, {}),
    childrenanonymous: ChildrenWyhLinkAnonymous,
    childrenAuthenticated: ChildrenWyhLinkAuthenticated,
    childreMovil: !args.isAuthenticated ? [{
      name: 'Ayuda'
    }, {
      name: 'Tarjeta'
    }, {
      name: 'Inicia Sesión',
      onClick: function onClick() {
        window.location.replace('/?path=/story/tauros-web-ui-atoms-switch--standard-disabled');
      }
    }] : [{
      name: 'Wallets'
    }, {
      name: 'Tarjeta'
    }, {
      name: 'Exchange'
    }],
    childreMovilEnd: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
      href: "#!",
      color: "primary",
      style: {
        fontSize: 14,
        padding: '6px 10px',
        marginLeft: 5
      },
      children: !args.isAuthenticated ? 'Únete a Tauros' : 'Ir a Wallets'
    })
  }));
};

var NavBarComponentCustom = function NavBarComponentCustom(args) {
  var styles = useStyle();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_NavBar.default, _objectSpread(_objectSpread({}, args), {}, {
    logo: /*#__PURE__*/(0, _jsxRuntime.jsx)(LogoComponent, {}),
    childrenanonymous: /*#__PURE__*/(0, _jsxRuntime.jsx)(ChildrenWyhLinkAnonymous, {
      showMore: true
    }),
    childrenAuthenticated: /*#__PURE__*/(0, _jsxRuntime.jsx)(ChildrenWyhLinkAuthenticated, {
      showMore: true
    }),
    classes: {
      container: styles.containerCustom,
      menu: {
        paper: styles.menu
      }
    },
    childreMovil: !args.isAuthenticated ? [{
      name: 'Ayuda'
    }, {
      name: 'Tarjeta'
    }, {
      name: 'Inicia Sesión',
      onClick: function onClick() {
        window.location.replace('/?path=/story/tauros-web-ui-atoms-switch--standard-disabled');
      }
    }] : [{
      name: 'Wallets'
    }, {
      name: 'Tarjeta'
    }, {
      name: 'Cerrar Sesíon'
    }],
    childreMovilEnd: !args.isAuthenticated ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
      href: "#!",
      color: "primary",
      style: {
        fontSize: 14,
        padding: '6px 10px'
      },
      children: "\xDAnete a Tauros"
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
      href: "#!",
      color: "primary",
      style: {
        fontSize: 14,
        padding: '6px 10px',
        marginLeft: 5
      },
      children: "Ir a Wallets"
    })
  }));
};

var Blank = NavBarComponentBlank.bind({});
exports.Blank = Blank;
var WithLink = NavBarComponentWithLink.bind({});
exports.WithLink = WithLink;
WithLink.args = {
  isAuthenticated: true
};
var Custom = NavBarComponentCustom.bind({});
exports.Custom = Custom;
Custom.args = {
  isAuthenticated: true
};