"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _RecaptchaV = _interopRequireDefault(require("./RecaptchaV2"));

var _reactAsyncScript = _interopRequireDefault(require("react-async-script"));

var callbackName = 'onloadcallback';
var globalName = 'grecaptcha';

function getOptions() {
  return typeof window !== 'undefined' && window.recaptchaOptions || {};
}

function getURL() {
  var dynamicOptions = getOptions();
  var hostname = dynamicOptions.useRecaptchaNet ? 'recaptcha.net' : 'www.google.com';
  return "https://".concat(hostname, "/recaptcha/api.js?onload=").concat(callbackName, "&render=explicit");
}

var _default = (0, _reactAsyncScript.default)(getURL(), {
  callbackName: callbackName,
  globalName: globalName,
  attributes: getOptions().nonce ? {
    nonce: getOptions().nonce
  } : {}
})(_RecaptchaV.default);

exports.default = _default;