import { RefObject } from 'react';
import { TFunc, TFuncArgs } from '../../../types/generics';
export interface IRecaptchaRef {
    captcha?: HTMLDivElement;
    context?: any;
    executionReject: TFuncArgs;
    executionResolve: TFuncArgs;
    handleChange: TFuncArgs;
    handleErrored: TFuncArgs;
    handleExpired: TFuncArgs;
    handleRecaptchaRef: TFuncArgs;
    props: {
        badge: string;
        grecaptcha: {
            ready: TFunc;
            render: TFunc;
            reset: TFunc;
            getResponse: TFunc;
            execute: TFunc;
        };
        onChange: TFuncArgs;
        sitekey: string;
        size: string;
        tabindex: 0;
        theme: string;
        type: string;
    };
    refs?: any;
    state?: any;
    updater: {
        isMounted: TFunc;
        enqueueSetState: TFunc;
        enqueueReplaceState: TFunc;
        enqueueForceUpdate: TFunc;
    };
    _executeRequested: boolean;
    _widgetId: 0;
}
export interface IRecaptcha {
    sitekey: string;
    onChange: TFuncArgs;
    grecaptcha?: any;
    theme?: string;
    type?: string;
    tabindex?: number;
    onExpired?: TFunc;
    onErrored?: TFunc;
    size?: string;
    stoken?: string;
    hl?: string;
    badge?: string;
    isolated?: boolean;
    ref?: RefObject<IRecaptchaRef>;
}
