"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useAlert;

var _react = require("react");

var _Context = _interopRequireDefault(require("../components/Molecules/Toast/Context"));

function useAlert() {
  var _ref = (0, _react.useContext)(_Context.default),
      handleOpenAlert = _ref.handleOpenAlert;

  var handleToast = function handleToast(severity) {
    return function (title, description, exchange) {
      return handleOpenAlert({
        severity: severity,
        title: title,
        exchange: exchange,
        description: description
      });
    };
  };

  return {
    info: handleToast('info'),
    warning: handleToast('warning'),
    success: handleToast('success'),
    error: handleToast('error')
  };
}