"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _validateSimplePassword = require("../utils/validateSimplePassword");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var validationOptionsDefault = {
  minLength: true,
  lowercase: true,
  uppercase: true,
  specialCharacter: true,
  number: true,
  consecutive_numbers: true,
  sequential_numbers: true,
  invalid_words: true
};

var useValidatePassword = function useValidatePassword(_ref) {
  var _ref$password = _ref.password,
      password = _ref$password === void 0 ? '' : _ref$password,
      _ref$confirmPassword = _ref.confirmPassword,
      confirmPassword = _ref$confirmPassword === void 0 ? '' : _ref$confirmPassword,
      validationOptions = _ref.validationOptions;

  // Data
  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      successPass = _useState2[0],
      setSuccessPass = _useState2[1];

  var _useState3 = (0, _react.useState)({}),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      checkErrors = _useState4[0],
      setCheckErrors = _useState4[1]; // Show Errors


  var _useState5 = (0, _react.useState)([]),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      errorPassword = _useState6[0],
      setErrorPassword = _useState6[1];

  var _useState7 = (0, _react.useState)(''),
      _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
      errorConfirm = _useState8[0],
      setErrorConfirm = _useState8[1]; // If the user has not entered a password, do not validate, so as not to show errors ahead of time


  var isCheck = !!password.length; // Validations to password

  var validations = _objectSpread(_objectSpread({}, validationOptionsDefault), validationOptions); // Funcs


  var validatePass = function validatePass(password) {
    var errors = []; // Validate gbm word

    var invalidWord = (0, _validateSimplePassword.validateInvalidWords)(password);
    if (Boolean(invalidWord) && validations.invalid_words) errors.push({
      message: "La contrase\xF1a no debe contener la palabra ".concat(invalidWord),
      error: 'invalid_words'
    }); // Validate the string must be eight characters or longer

    if (!/(?=.{12,})/.test(password) && validations.minLength) errors.push({
      message: 'La contraseña debe contener mínimo 12 cáracteres',
      error: 'lenght_low'
    }); // Validate the string must contain at least 1 numeric character

    if (!/(?=.*[0-9])/.test(password) && validations.number) errors.push({
      message: 'La contraseña debe contener al menos un número',
      error: 'number'
    }); // Validate the string must contain at least 1 special character

    if (!/[!¡`@#$%^&*()~,.¿?"[\\:{}|<>/\-;_+=\]']/g.test(password) && validations.specialCharacter) errors.push({
      message: 'La contraseña debe contener al menos un carácter especial',
      error: 'special'
    }); // Validate the string must contain at least 1 uppercase alphabetical character

    if (!/(?=.*[A-Z])/.test(password) && validations.uppercase) errors.push({
      message: 'La contraseña debe contener al menos una mayúscula',
      error: 'uppercase'
    }); // Validate the string must contain at least 1 lowercase alphabetical character

    if (!/(?=.*[a-z])/.test(password) && validations.lowercase) errors.push({
      message: 'La contraseña debe contener al menos una minúscula',
      error: 'lowercase'
    }); // Validate consecutive numbers

    if (/(.)\1{2}/.test(password) && validations.consecutive_numbers) errors.push({
      message: 'La contraseña no debe contener carácteres repetidos (ej: 111, aaa)',
      error: 'consecutive_numbers'
    }); // Validate invalids numbers

    if (!(0, _validateSimplePassword.validateSimplePassword)(password) && validations.sequential_numbers) errors.push({
      message: 'La contraseña no debe contener cáracteres secuenciales (ej: 123 o abc)',
      error: 'sequential_numbers'
    }); // Validate If haven't errors

    var success = false;
    if (!errors.length && isCheck) success = true; // Error in a object

    var checkErrors = {};
    errors.forEach(function (err) {
      checkErrors = _objectSpread(_objectSpread({}, checkErrors), {}, (0, _defineProperty2.default)({}, err.error, err.message));
    }); // Data

    var data = {
      errors: errors,
      checkErrors: checkErrors,
      success: success
    }; // State

    setSuccessPass(success);
    setCheckErrors(checkErrors); // Return data

    return data;
  }; // Validate if both password are equal


  var isPasswordEqual = function isPasswordEqual(value, isConfirmPass) {
    // Validate if is password or password confirm
    var valueCompared = isConfirmPass ? password : confirmPassword; // Compare with the other password

    var isEqual = valueCompared === value; // If aren't both show error, else clean error

    if (!isEqual && valueCompared.length && value.length) {
      setErrorConfirm('Los campos no coinciden');
    } else {
      setErrorConfirm('');
    }
  }; // Func for validate inputs and show errors


  var validateInputPass = function validateInputPass() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var isConfirmPass = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    // Clean errors
    if (!isConfirmPass) setErrorPassword([]);
    if (isConfirmPass) setErrorConfirm(''); // Validate password equals

    isPasswordEqual(value, isConfirmPass); // Only field password can be validated

    if (!isConfirmPass) {
      // Get errors
      var _validatePass = validatePass(value),
          errors = _validatePass.errors,
          success = _validatePass.success; // If there is a error show, else clean messages error


      if (!success) setErrorPassword(errors);
      if (success) setErrorPassword([]);
    }
  }; // Validate if exist a error for set boolean of error in input


  var validateInputError = isCheck && (!!errorPassword.length || !!errorConfirm.length);
  return {
    // Funcs
    validateInputPass: validateInputPass,
    // Data
    errorPassword: errorPassword,
    errorConfirm: errorConfirm,
    checkErrors: checkErrors,
    // Errors in a Object for the component of PasswordChecks
    successPass: successPass,
    // The password is correct
    success: !errorPassword.length && !errorConfirm.length,
    // Both passwords are correct
    isCheck: isCheck,
    validateInputError: validateInputError
  };
};

var _default = useValidatePassword;
exports.default = _default;