declare const _default: {
    overrides: {
        MuiDrawer: {
            paper: {
                backgroundColor: string;
            };
        };
        MuiButton: {
            root: {
                fontWeight: number;
            };
            label: {
                textTransform: string;
            };
            contained: {
                boxShadow: string;
                '&:hover': {
                    boxShadow: string;
                };
                '&:active': {
                    boxShadow: string;
                };
            };
        };
        MuiTabs: {
            root: {
                minHeight: number;
                height: number;
                position: string;
                '&:after': {
                    backgroundColor: string;
                    bottom: number;
                    content: string;
                    height: number;
                    left: number;
                    position: string;
                    right: number;
                    zIndex: number;
                };
            };
            indicator: {
                height: number;
                borderTopLeftRadius: number;
                borderTopRightRadius: number;
                backgroundColor: string;
            };
        };
        MuiTab: {
            root: {
                [x: string]: string | number | {
                    minWidth: string;
                };
                textTransform: string;
                margin: number;
                marginLeft: number;
                minWidth: number;
                padding: string;
                minHeight: number;
                height: number;
            };
            selected: {
                color: string;
            };
            wrapper: {
                lineHeight: string;
            };
            textColorInherit: {
                opacity: number;
            };
        };
        MuiIconButton: {
            root: {
                padding: number;
                '&:hover': {
                    color: string;
                    backgroundColor: string;
                };
            };
        };
        MuiTooltip: {
            tooltip: {
                borderRadius: number;
            };
        };
        MuiDivider: {
            root: {
                backgroundColor: string;
            };
        };
        MuiListItemIcon: {
            root: {
                color: string;
                marginRight: number;
                '& svg': {
                    fontSize: number;
                };
            };
        };
        MuiBackdrop: {
            root: {
                backgroundColor: string;
                opacity: string;
            };
        };
        MuiDialog: {
            paper: {
                borderRadius: number;
            };
        };
        MuiDialogTitle: {
            root: {
                padding: number;
            };
        };
        MuiDialogContent: {
            root: {
                padding: string;
                '&:first-child': {
                    paddingTop: number;
                };
            };
        };
        MuiDialogContentText: {
            root: {
                display: string;
                alignItems: string;
            };
        };
        MuiDialogActions: {
            root: {
                padding: number;
            };
        };
        MuiCard: {
            root: {
                background: string;
                boxShadow: string;
                borderRadius: string;
            };
        };
        MuiInput: {
            underline: {
                '&:after': {
                    borderBottom: string;
                };
                '&:before': {
                    borderBottom: string;
                };
                '&:hover:not(.Mui-disabled):before': {
                    borderBottom: string;
                };
            };
            focused: {
                '&:after': {
                    borderBottom: string;
                };
            };
            disabled: {
                color: string;
                '&:before': {
                    borderBottom: string;
                };
            };
        };
    };
    shape: import("@material-ui/core/styles/shape").Shape;
    breakpoints: import("@material-ui/core/styles/createBreakpoints").Breakpoints;
    direction: import("@material-ui/core/styles").Direction;
    mixins: import("@material-ui/core/styles/createMixins").Mixins;
    palette: import("@material-ui/core/styles/createPalette").Palette;
    props?: import("@material-ui/core/styles/props").ComponentsProps | undefined;
    shadows: import("@material-ui/core/styles/shadows").Shadows;
    spacing: import("@material-ui/core/styles/createSpacing").Spacing;
    transitions: import("@material-ui/core/styles").Transitions;
    typography: import("@material-ui/core/styles/createTypography").Typography;
    zIndex: import("@material-ui/core/styles/zIndex").ZIndex;
    unstable_strictMode?: boolean | undefined;
};
export default _default;
