"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _styles = require("@material-ui/core/styles");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var theme = (0, _styles.createTheme)({
  palette: {
    primary: {
      light: '#edf0f7',
      main: '#060606',
      dark: '#18212D',
      contrastText: '#fff'
    },
    secondary: {
      main: '#F7F9FB',
      dark: '#687F99'
    },
    text: {
      primary: '#476282',
      secondary: '#1b3a57'
    },
    divider: '#c3cfdd'
  },
  typography: {
    h5: {
      fontWeight: 500,
      fontSize: 26,
      letterSpacing: 0.5
    }
  },
  shape: {
    borderRadius: 8
  },
  props: {
    MuiTab: {
      disableRipple: true
    }
  },
  mixins: {
    toolbar: {
      minHeight: 48
    }
  }
});
var overrides = {
  MuiDrawer: {
    paper: {
      backgroundColor: '#18202c'
    }
  },
  MuiButton: {
    root: {
      fontWeight: 400
    },
    label: {
      textTransform: 'none'
    },
    contained: {
      boxShadow: 'none',
      '&:hover': {
        boxShadow: 'none'
      },
      '&:active': {
        boxShadow: 'none'
      }
    }
  },
  MuiTabs: {
    root: {
      minHeight: 40,
      height: 40,
      position: 'relative',
      '&:after': {
        backgroundColor: theme.palette.divider,
        bottom: 0,
        content: '""',
        height: 1,
        left: 22,
        position: 'absolute',
        right: 22,
        zIndex: -1
      }
    },
    indicator: {
      height: 3,
      borderTopLeftRadius: 3,
      borderTopRightRadius: 3,
      backgroundColor: theme.palette.primary.main
    }
  },
  MuiTab: {
    root: (0, _defineProperty2.default)({
      textTransform: 'none',
      margin: 0,
      marginLeft: 22,
      minWidth: 0,
      padding: '10px 4px',
      minHeight: 40,
      height: 40
    }, theme.breakpoints.up('md'), {
      minWidth: 'max-content'
    }),
    selected: {
      color: theme.palette.primary.main
    },
    wrapper: {
      lineHeight: 'normal'
    },
    textColorInherit: {
      opacity: 1
    }
  },
  MuiIconButton: {
    root: {
      padding: theme.spacing(1),
      '&:hover': {
        color: theme.palette.text.secondary,
        backgroundColor: 'transparent'
      }
    }
  },
  MuiTooltip: {
    tooltip: {
      borderRadius: 4
    }
  },
  MuiDivider: {
    root: {
      backgroundColor: '#404854'
    }
  },
  MuiListItemIcon: {
    root: {
      color: 'inherit',
      marginRight: 0,
      '& svg': {
        fontSize: 20
      }
    }
  },
  MuiBackdrop: {
    root: {
      backgroundColor: '#19212b',
      opacity: '0.4 !important'
    }
  },
  MuiDialog: {
    paper: {
      borderRadius: theme.shape.borderRadius * 2
    }
  },
  MuiDialogTitle: {
    root: {
      padding: 24
    }
  },
  MuiDialogContent: {
    root: {
      padding: '12px 24px 0',
      '&:first-child': {
        paddingTop: 0
      }
    }
  },
  MuiDialogContentText: {
    root: {
      display: 'flex',
      alignItems: 'center'
    }
  },
  MuiDialogActions: {
    root: {
      padding: 24
    }
  },
  MuiCard: {
    root: {
      background: '#FFFFFF',
      boxShadow: '0px 2px 4px rgba(0, 0, 0, 0.25)',
      borderRadius: '5px'
    }
  },
  MuiInput: {
    underline: {
      '&:after': {
        borderBottom: "1px solid ".concat(theme.palette.primary.main)
      },
      '&:before': {
        borderBottom: "1px solid ".concat(theme.palette.primary.light)
      },
      '&:hover:not(.Mui-disabled):before': {
        borderBottom: "1px solid ".concat(theme.palette.primary.light)
      }
    },
    focused: {
      '&:after': {
        borderBottom: "1px solid ".concat(theme.palette.primary.main)
      }
    },
    disabled: {
      color: "".concat(theme.palette.primary.light, " !important"),
      '&:before': {
        borderBottom: "1px solid ".concat(theme.palette.primary.light, " !important")
      }
    }
  }
};

var _default = _objectSpread(_objectSpread({}, theme), {}, {
  overrides: overrides
});

exports.default = _default;