"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _styles = require("@material-ui/core/styles");

var _palette = require("./palette");

var _overrides = _interopRequireDefault(require("./overrides"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

// Colors
var theme = (0, _styles.createTheme)({
  palette: _objectSpread({
    type: 'dark',
    primary: {
      main: '#fff',
      light: '#6F747A',
      dark: '#DEE2E8',
      contrastText: '#2B2D2F'
    },
    secondary: {
      main: '#0D131A',
      light: '#2C3847',
      dark: '#6F747A',
      contrastText: '#fff'
    },
    gradient: {
      main: 'linear-gradient(to right, #51c0da 0%, #a19df7 26%, #ce8be7 52%, #edd37c 78%, #b1d4c5 99%)',
      light: 'linear-gradient( 90deg, #51C0DA, #A19DF7, #CE8BE7, #DACB9F, #B1D4C5)'
    },
    text: {
      primary: '#fff',
      secondary: '#6F747A'
    },
    background: {
      default: 'rgba(24, 30, 38, 0.955829)',
      paper: '#0D131A',
      navbar: 'rgba(24, 30, 38, 0.955829)',
      loader: 'rgba(24, 30, 38, 0.955829)',
      switch: '#0D131A',
      switchThemeLight: 'rgba(104, 127, 153, 0.15)',
      switchThemeDark: '#0D131A',
      popover: '#232D3A'
    },
    divider: '#232D3A'
  }, _palette.alerts),
  typography: _palette.typography,
  zIndex: _palette.zIndex
});

var _default = _objectSpread(_objectSpread({}, theme), {}, {
  overrides: (0, _overrides.default)(theme.palette)
});

exports.default = _default;