"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _styles = require("@material-ui/core/styles");

var _palette = require("./palette");

var _overrides = _interopRequireDefault(require("./overrides"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

// Colors
var theme = (0, _styles.createTheme)({
  palette: _objectSpread({
    type: 'light',
    primary: {
      main: '#080808',
      light: '#AFC1D4',
      dark: '#8696A8',
      contrastText: '#ffffff'
    },
    secondary: {
      main: '#F5FAFF',
      light: '#DEE5EE',
      dark: '#8ea0b2',
      contrastText: '#000000'
    },
    gradient: {
      main: 'linear-gradient(to right, #51c0da 0%, #a19df7 26%, #ce8be7 52%, #edd37c 78%, #b1d4c5 99%)',
      light: 'linear-gradient( 90deg, #51C0DA, #A19DF7, #CE8BE7, #DACB9F, #B1D4C5)'
    },
    background: {
      default: '#fff',
      paper: '#ffffff',
      navbar: '#f9fbfd',
      loader: '#ffffff',
      switch: '#8EA0B2',
      switchThemeLight: '#080808',
      switchThemeDark: '#0D131A',
      popover: '#3D5266'
    },
    text: {
      input: '#3D5266',
      primary: '#080808',
      secondary: '#080808',
      disabled: 'rgba(0, 0, 0, 0.38)',
      hint: 'rgba(0, 0, 0, 0.38)'
    },
    divider: '#dcdee3'
  }, _palette.alerts),
  typography: _palette.typography,
  zIndex: _palette.zIndex
});

var _default = _objectSpread(_objectSpread({}, theme), {}, {
  overrides: (0, _overrides.default)(theme.palette)
});

exports.default = _default;