import { Theme } from '@material-ui/core/styles';
export default function Overrides(palette: Theme['palette']): {
    TuiBtn: {
        root: {
            borderRadius: number;
            fontSize: number;
            fontWeight: number;
            height: number;
            '&:hover': {
                backgroundColor: string;
            };
        };
        contained: {
            boxShadow: string;
            '&:hover': {
                boxShadow: string;
            };
            '&:active': {
                boxShadow: string;
            };
            '&:disabled, &[disabled]': {
                backgroundColor: string;
                borderRadius: string;
                color: string;
            };
        };
        label: {
            textTransform: string;
        };
        outlined: {
            border: string;
        };
        containedPrimary: {
            '&:hover': {
                backgroundColor: string;
            };
        };
        containedSecondary: {
            '&:hover': {
                backgroundColor: string;
            };
        };
        containedSizeSmall: {
            height: number;
        };
        containedSizeLarge: {
            height: number;
        };
    };
    MuiTab: {
        root: {
            minWidth: string;
        };
    };
    MuiDialog: {
        paperWidthXs: {
            maxWidth: number;
        };
    };
    MuiInput: {
        underline: {
            '&:after': {
                borderBottom: string;
            };
            '&:before': {
                borderBottom: string;
            };
            '&:hover:not(.Mui-disabled):before': {
                borderBottom: string;
            };
        };
        focused: {
            '&:after': {
                borderBottom: string;
            };
        };
        disabled: {
            color: string;
            '&:before': {
                borderBottom: string;
            };
        };
    };
    MuiInputBase: {
        fullWidth: {
            width: string;
        };
    };
    MuiOutlinedInput: {
        input: {
            padding: string;
        };
    };
    MuiPaper: {
        rounded: {
            borderRadius: number;
        };
        outlined: {
            border: string;
        };
    };
    MuiCssBaseline: {
        '@global': {
            '*': {
                margin: number;
                padding: number;
                outline: string;
                fontFamily: string;
                '&:focus': {
                    outline: string;
                };
                '-webkit-tap-highlight-color': string;
            };
            '*::-webkit-scrollbar': {
                width: number;
            };
            '*:hover::-webkit-scrollbar': {
                backgroundColor: string;
            };
            '*:hover::-webkit-scrollbar-thumb': {
                backgroundColor: string;
            };
            ul: {
                listStyle: string;
            };
            a: {
                textDecoration: string;
                color: string;
            };
            '.grecaptcha-badge': {
                bottom: string;
                display: string;
            };
        };
    };
};
