"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Overrides;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _globalResets = _interopRequireDefault(require("./globalResets"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function Overrides(palette) {
  var _palette$primary, _palette$secondary;

  return {
    TuiBtn: {
      root: {
        borderRadius: 24,
        fontSize: 16,
        fontWeight: 500,
        height: 48,
        '&:hover': {
          backgroundColor: 'transparent'
        }
      },
      contained: {
        boxShadow: 'none',
        '&:hover': {
          boxShadow: 'none'
        },
        '&:active': {
          boxShadow: 'none '
        },
        '&:disabled, &[disabled]': {
          backgroundColor: palette.background.default,
          borderRadius: '24px',
          color: '#dcdcdc'
        }
      },
      label: {
        textTransform: 'initial'
      },
      outlined: {
        border: 'solid 1px rgba(137, 163, 191, 0.35)'
      },
      containedPrimary: {
        '&:hover': {
          backgroundColor: palette === null || palette === void 0 ? void 0 : (_palette$primary = palette.primary) === null || _palette$primary === void 0 ? void 0 : _palette$primary.main
        }
      },
      containedSecondary: {
        '&:hover': {
          backgroundColor: palette === null || palette === void 0 ? void 0 : (_palette$secondary = palette.secondary) === null || _palette$secondary === void 0 ? void 0 : _palette$secondary.main
        }
      },
      containedSizeSmall: {
        height: 31
      },
      containedSizeLarge: {
        height: 50
      }
    },
    MuiTab: {
      root: {
        minWidth: 'max-content !important'
      }
    },
    MuiDialog: {
      paperWidthXs: {
        maxWidth: 350
      }
    },
    MuiInput: {
      underline: {
        '&:after': {
          borderBottom: "1px solid ".concat(palette.primary.main)
        },
        '&:before': {
          borderBottom: "1px solid ".concat(palette.primary.light)
        },
        '&:hover:not(.Mui-disabled):before': {
          borderBottom: "1px solid ".concat(palette.primary.light)
        }
      },
      focused: {
        '&:after': {
          borderBottom: "1px solid ".concat(palette.primary.main)
        }
      },
      disabled: {
        color: "".concat(palette.primary.light, " !important"),
        '&:before': {
          borderBottom: "1px solid ".concat(palette.primary.light, " !important")
        }
      }
    },
    MuiInputBase: {
      fullWidth: {
        width: '100% !important'
      }
    },
    MuiOutlinedInput: {
      input: {
        padding: '11px 12px'
      }
    },
    MuiPaper: {
      rounded: {
        borderRadius: 5
      },
      outlined: {
        border: 'solid 1px rgba(137, 163, 191, 0.35)'
      }
    },
    MuiCssBaseline: {
      '@global': _objectSpread({}, _globalResets.default)
    }
  };
}