"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.zIndex = exports.typography = exports.alerts = void 0;
var alerts = {
  success: {
    main: '#49CC68'
  },
  error: {
    main: '#B3364A'
  },
  info: {
    main: '#0080FF'
  },
  warning: {
    main: '#FD830E'
  }
};
exports.alerts = alerts;
var fontFamily = '"DINPro", "Helvetica", "Arial", sans-serif'; // Tell Material-UI what's the font-size on the html element.

var htmlFontSize = 16; // px

var typography = {
  fontFamily: fontFamily,
  fontSize: htmlFontSize,
  fontWeightLight: 300,
  fontWeightRegular: 400,
  fontWeightMedium: 500,
  fontWeightBold: 700,
  pxToRem: function pxToRem(size) {
    return "".concat(size / htmlFontSize, "rem");
  },
  h1: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '2rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h2: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '1.8125rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h3: {
    fontFamily: fontFamily,
    fontWeight: 'bold',
    fontSize: '1.375rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 1.09,
    letterSpacing: -0.4
  },
  h4: {
    fontFamily: fontFamily,
    fontWeight: 300,
    fontSize: '1.25rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h5: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '1.125rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  h6: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '1rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  subtitle1: {
    fontFamily: fontFamily,
    fontWeight: 300,
    fontSize: '1rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  subtitle2: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '0.875rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  body1: {
    fontFamily: fontFamily,
    fontWeight: 400,
    fontSize: '1rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  body2: {
    fontFamily: fontFamily,
    fontWeight: 400,
    fontSize: '0.875rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  button: {
    fontFamily: fontFamily,
    fontWeight: 500,
    fontSize: '0.875rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: '1.75',
    letterSpacing: 'normal',
    textTransform: 'uppercase'
  },
  caption: {
    fontFamily: fontFamily,
    fontWeight: 400,
    fontSize: '0.75rem',
    fontStretch: 'normal',
    fontStyle: 'normal',
    lineHeight: 'normal',
    letterSpacing: 'normal'
  },
  overline: {
    fontFamily: fontFamily,
    fontWeight: 400,
    fontSize: '0.75rem',
    lineHeight: 2.66,
    letterSpacing: 'normal',
    textTransform: 'uppercase'
  }
};
exports.typography = typography;
var zIndex = {
  mobileStepper: 1000,
  speedDial: 1050,
  appBar: 1100,
  drawer: 1200,
  modal: 3000,
  loader: 2000,
  snackbar: 4000,
  tooltip: 1500
};
exports.zIndex = zIndex;