"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeScript = exports.injectScript = exports.getProjectWindow = exports.getHeadTag = void 0;

var _recaptcha = require("../types/recaptcha");

var getProjectWindow = function getProjectWindow() {
  return _recaptcha.isBrowser ? window : undefined;
};

exports.getProjectWindow = getProjectWindow;

var getHeadTag = function getHeadTag() {
  var window = getProjectWindow();
  if (window) return window.document.getElementsByTagName('head')[0];
  return undefined;
};

exports.getHeadTag = getHeadTag;

var injectScript = function injectScript(id, src, onload) {
  var window = getProjectWindow();
  var headTag = getHeadTag();

  if (headTag && window) {
    var scriptTag = window.document.createElement('script');
    scriptTag.id = id;
    scriptTag.src = src;
    if (onload) scriptTag.onload = onload;
    if ('async' in scriptTag) scriptTag.async = true;
    if ('defer' in scriptTag) scriptTag.defer = true;
    headTag.appendChild(scriptTag);
    return true;
  }

  return false;
};

exports.injectScript = injectScript;

var removeScript = function removeScript(id) {
  var window = getProjectWindow();

  if (window) {
    var scriptTag = window.document.getElementById(id);

    if (scriptTag) {
      scriptTag.remove();
      return true;
    }
  }

  return false;
};

exports.removeScript = removeScript;