"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateSimplePassword = exports.validateInvalidWords = void 0;
// This file uses for @Hooks/useValidatePassword to validate characters
var invalidCharacters = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'm', 'n', 'ñ', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'];

var validateSimplePassword = function validateSimplePassword(password) {
  // To save index
  var gindex = -1; // counter to simple password error

  var counter = 1; // counter to backwards password error

  var counterBack = 1; // Read all words password

  for (var index = 0; index < password.length; index++) {
    // Read word
    var char = password[index].toLowerCase(); // check word

    if (invalidCharacters.includes(char)) {
      // get index of array
      var _index = invalidCharacters.indexOf(char);

      if (_index === gindex + 1) {
        // Sum simple password error
        counter += 1;
        if (counter === 3) return false;
      } else if (_index === gindex - 1) {
        // Sum backwards password error
        counterBack += 1;
        if (counterBack === 3) return false;
      } else {
        // Reset because dont have error
        counter = 1;
        counterBack = 1;
      } // Save index


      gindex = _index;
    }
  }

  return true;
};

exports.validateSimplePassword = validateSimplePassword;
var invalidWords = ['GBM', 'Tauros', 'Coinbtr', 'Altcoin'];

var validateInvalidWords = function validateInvalidWords(password) {
  for (var index = 0; index < invalidWords.length; index++) {
    if (password.toLowerCase().includes(invalidWords[index].toLowerCase())) {
      return invalidWords[index];
    }
  }

  return false;
};

exports.validateInvalidWords = validateInvalidWords;